'use strict';

const index = require('./index-336ba790.js');

const listItemRender = (listBaseClass, classes, el, wrapperProps, props) => {
    const Element = props.as;
    const customLeading = el.querySelector('[slot="leading"]');
    customLeading === null || customLeading === void 0 ? void 0 : customLeading.classList.add(`${listBaseClass}__item-leading`);
    const customTrailing = el.querySelector('[slot="trailing"]');
    customTrailing === null || customTrailing === void 0 ? void 0 : customTrailing.classList.add(`${listBaseClass}__item-trailing`);
    return (index.h(index.Host, { class: classes, role: "listitem" },
        index.h(Element, Object.assign({ class: `${listBaseClass}__item-wrapper` }, wrapperProps),
            props.leadingIcon && !customLeading && index.h("nj-icon", { class: `${listBaseClass}__item-leading`, name: props.leadingIcon }),
            index.h("slot", { name: "leading" }),
            index.h("span", { class: `${listBaseClass}__item-content` },
                index.h("span", { class: `${listBaseClass}__item-primary` },
                    index.h("slot", null)),
                props.secondaryText && index.h("span", { class: `${listBaseClass}__item-secondary` }, props.secondaryText)),
            props.trailingIcon && !customTrailing && index.h("nj-icon", { class: `${listBaseClass}__item-trailing`, name: props.trailingIcon }),
            'expandable' in props && props.expandable && index.h("nj-icon", { class: `${listBaseClass}__item-trailing ${listBaseClass}__item-arrow`, name: "keyboard_arrow_down" }),
            index.h("slot", { name: "trailing" }))));
};

exports.listItemRender = listItemRender;

//# sourceMappingURL=list-item.utils-680c32c6.js.map