'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-336ba790.js');
const id = require('./id-261984b9.js');
const slot = require('./slot-9faabb4e.js');

const Checkbox = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.checkedChange = index.createEvent(this, "nj-checked-change", 7);
        this.indeterminateChange = index.createEvent(this, "nj-indeterminate-change", 7);
        this.rootClass = 'nj-checkbox';
        this.handleChange = (event) => {
            const input = event.target;
            this.checked = input.checked;
            this.checkedChange.emit(this.checked);
            const newIndeterminateState = input.indeterminate;
            if (this.indeterminate !== newIndeterminateState) {
                this.indeterminate = newIndeterminateState;
                this.indeterminateChange.emit(this.indeterminate);
            }
        };
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
            [`${this.rootClass}--${this.subscriptVariant}`]: !!this.subscriptVariant,
        };
    }
    render() {
        let subscriptId;
        if (this.subscript) {
            subscriptId = `linked-subscript-message-${id.useId(this.inputId)}`;
        }
        const input = index.h("input", { key: '3139dada067fcc54d88cc93b5f14676f501b1094', type: "checkbox", id: this.inputId, name: this.name, value: this.value, checked: this.checked, disabled: this.disabled, required: this.required, "aria-describedby": subscriptId, "aria-invalid": this.invalid ? 'true' : undefined, onChange: (event) => this.handleChange(event) });
        return (index.h(index.Host, { key: '6a52d07d19286395ab4402af3a46415eb3a7c964', class: this.classes }, slot.hasSlot(this.element) ?
            index.h("label", null, input, index.h("span", { class: `${this.rootClass}__label` }, index.h("slot", null), this.required && (index.h("span", { "aria-hidden": "true", class: "nj-checkbox__required" }, "*")))) : input, this.subscript && (index.h("div", { key: 'e30110566f69177a75a36374c95aaf85a9f4e2a2', class: "nj-checkbox__subscript", id: subscriptId }, this.subscriptVariant === 'success' && index.h("nj-icon", { key: '3e05d6a314d0f85cae461493605d3ac807d58cbc', name: "check", variant: "inherit" }), this.subscriptVariant === 'error' && index.h("nj-icon", { key: 'c7c6b6ed59a62e50d957a879df63d1de84987a36', name: "warning", variant: "inherit" }), this.subscript))));
    }
    componentDidRender() {
        const input = this.element.querySelector('input');
        if (input && this.indeterminate) {
            input.indeterminate = true;
        }
    }
    get element() { return index.getElement(this); }
};

exports.nj_checkbox = Checkbox;

//# sourceMappingURL=nj-checkbox.cjs.entry.js.map