'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-336ba790.js');
const slot = require('./slot-9faabb4e.js');

var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
        r = Reflect.decorate(decorators, target, key, desc);
    else
        for (var i = decorators.length - 1; i >= 0; i--)
            if (d = decorators[i])
                r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
const Header = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.rootClass = 'nj-header';
        this.retracted = false;
        this.slotsName = ['control', 'logo', 'button', 'utility', 'avatar', 'cart', 'navigation', 'search', 'secondary-action'];
    }
    get classes() {
        return {
            'nj-header': true,
            [`${this.rootClass}--retracted`]: !!this.retracted,
        };
    }
    render() {
        var _a;
        const slots = this.slotsName.reduce((agg, slot$1) => (Object.assign(Object.assign({}, agg), { [slot$1]: slot.hasSlot(this.el, slot$1) })), {});
        (_a = this.logo) === null || _a === void 0 ? void 0 : _a.classList.add(`${this.rootClass}__logo`);
        const firstLine = (index.h(index.Fragment, { key: '557b7be5c96a43ea5bc94c655ac5c8bc308c0632' }, slots.control && (index.h("div", { key: 'b0093febb75bc54a2d449c28792e730acbdd64c7', class: `${this.rootClass}__controls` }, index.h("slot", { key: '540055e7baa3c6b37cfad2a5216087433c214e24', name: "control" }))), index.h("slot", { key: 'f8ed6d38c89cdf7769b650254fe87eed4916fe84', name: "logo" }), (slots.button || slots.utility || slots.avatar || slots.cart) && (index.h("div", { key: '7a3fde2b29acfea0a4b74ae3d24fe64ed3341aea', class: `${this.rootClass}__actions` }, index.h("slot", { key: '32c85844790e73010d7c8c873a16c261a7c9c0b5', name: "button" }), slots.utility && (index.h("div", { key: 'bbb051009f235fa8b0fd42d390e25930e2174898', class: `${this.rootClass}__utilities` }, index.h("slot", { key: '76acace3ce5cc5565febcfb0088a338fadd6cbc6', name: "utility" }))), index.h("slot", { key: 'd7ad5e45f87189ba34da5d58a0151570eb3230a3', name: "avatar" }), index.h("slot", { key: '420a7b32da6592b5b11b1f9ec67354849067effa', name: "cart" })))));
        const firstLineRetracted = (index.h(index.Fragment, { key: '4b967d2b7ad3c3740e231ac990bb829aa948deaa' }, index.h("slot", { key: '1275a21bb4420a4c14ac3ea67bfd1025310206d1', name: "logo" }), slots.navigation && (index.h("nj-tabs", { key: '6f844710d4d414ca1b749290db8f01201f2a12fc', scale: "md", class: `${this.rootClass}__navigation` }, index.h("slot", { key: '6e4b53668d39df8f756e1aa3ed8316e833d06a82', name: "navigation" }))), index.h("slot", { key: '97d6068fa96e7be34af6844c70c2b194a3f51d64', name: "search" }), index.h("slot", { key: '3f43d2e659bfbee3b65b9202f9a2768bd42851b9', name: "button" }), slots.control && (index.h("div", { key: 'ef7d163ab5da02de09bc966a575e2b61dbbf2c7e', class: `${this.rootClass}__controls` }, index.h("slot", { key: 'c0c749d747fa634efb613154cb3a210028eb0010', name: "control" }))), slots.control && index.h("nj-divider", { key: '736072aa2c757686d001ccdcd66ff8ce484b5594' }), slots['secondary-action'] && (index.h("div", { key: 'e45091bc669a14394b57e4b22812b15e7f82317c', class: `${this.rootClass}__secondary-actions` }, index.h("slot", { key: '513d9dace2dc88d60502dd483e819aaca947fb85', name: "secondary-action" }))), slots['secondary-action'] && index.h("nj-divider", { key: '300000992e331f2790aa6e379aa5420b8a8fbe50' }), slots.utility && (index.h("div", { key: '7fa86bac4f8e61303b52696440468407950d9abe', class: `${this.rootClass}__utilities` }, index.h("slot", { key: '2474649dfdd3bc075119d55350010ea4ae6e0974', name: "utility" }))), index.h("slot", { key: '740723e25574dc97e808b8897bd07fcefa83552c', name: "avatar" }), index.h("slot", { key: '1252fdf42e2cf9a913beaa1798de2dc29aec10db', name: "cart" })));
        const hasSecondLine = slots.navigation || slots.search || slots['secondary-action'];
        return (index.h("div", { key: 'ae740447eeec415f15716022421ee83d40ed4e4f', class: this.classes }, index.h("slot", { key: 'c1d9253735f76ef83935dc3aba7bf299491e62f1', name: "ray" }), index.h("div", { key: '5e095504c13d556e8b373b1bce48f7d3c6f70549', class: `${this.rootClass}__first-line` }, this.retracted ? firstLineRetracted : firstLine), hasSecondLine && !this.retracted && (index.h(index.Fragment, { key: 'ac12babc8131c8c50f9dbf67c17d7b9b0019319d' }, index.h("nj-divider", { key: '3c318628a7fe9ea1d1062a14ff8fd861bf914903' }), index.h("div", { key: 'c7e0d9820e988a8c82cdfe732c27d23349e1d3e2', class: `${this.rootClass}__second-line` }, index.h("nj-tabs", { key: '9b1c47bd02f5cfcff347cd323854da1ee9ea423a', scale: "md", class: `${this.rootClass}__navigation` }, index.h("slot", { key: 'd573fb6e2b6e4580a1ec419b25b2a125650c6424', name: "navigation" })), index.h("slot", { key: '3fa9d21665bfe0044cf537797db4fd266e8dc337', name: "search" }), index.h("div", { key: '6487a67f3d519e4e56eb13cf80a80ae5a798f794', class: `${this.rootClass}__secondary-actions` }, index.h("slot", { key: '1d11bb87221724b947d7093fdab5884032f21471', name: "secondary-action" })))))));
    }
    get el() { return index.getElement(this); }
};
__decorate([
    slot.Slot('logo')
], Header.prototype, "logo", void 0);

exports.nj_header = Header;

//# sourceMappingURL=nj-header.cjs.entry.js.map