'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-336ba790.js');
const properties_utils = require('./properties.utils-10454e12.js');
const listItem_utils = require('./list-item.utils-680c32c6.js');

const ListNavigationItem = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.rootClass = 'nj-list__navigation-item';
        this.listBaseClass = 'nj-list';
        this.as = 'span';
        this.textDistribution = 'horizontal';
        this.render = () => listItem_utils.listItemRender(this.listBaseClass, this.classes, this.el, this.wrapperProps, this);
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.variant}`]: !!this.variant,
            [`${this.rootClass}--expanded`]: !!this.expanded,
            [`${this.rootClass}--vertical`]: this.textDistribution === 'vertical',
            [`${this.rootClass}--selected`]: !!this.selected,
            [`${this.rootClass}--interactive`]: !!this.interactive,
        };
    }
    get wrapperProps() {
        if (this.as === 'a') {
            return properties_utils.extractHtmlLinkProps(this);
        }
        if (this.as === 'button') {
            return properties_utils.extractHtmlButtonProps(this);
        }
        return;
    }
    get el() { return index.getElement(this); }
};

exports.nj_list_navigation_item = ListNavigationItem;

//# sourceMappingURL=nj-list-navigation-item.cjs.entry.js.map