'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-336ba790.js');
const properties_utils = require('./properties.utils-10454e12.js');
const slot = require('./slot-9faabb4e.js');

var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
        r = Reflect.decorate(decorators, target, key, desc);
    else
        for (var i = decorators.length - 1; i >= 0; i--)
            if (d = decorators[i])
                r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
const NavigationTab = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.as = 'button';
        this.rootClass = `nj-navigation-tab`;
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.variant}`]: !!this.variant,
        };
    }
    get elementProps() {
        return this.as === 'a' ? properties_utils.extractHtmlLinkProps(this) : properties_utils.extractHtmlButtonProps(this);
    }
    get hasTextContent() {
        return Array.from(this.el.childNodes).filter(node => { var _a; return node.nodeType === Node.TEXT_NODE && ((_a = node.textContent) === null || _a === void 0 ? void 0 : _a.trim()); }).length > 0;
    }
    componentWillLoad() {
        var _a;
        (_a = this.customIcon) === null || _a === void 0 ? void 0 : _a.classList.add(`${this.rootClass}__icon`);
    }
    render() {
        const Element = this.as;
        return (index.h(index.Host, { key: 'a62d6564da55179e08f9ba489ac93d26642d13f7', class: this.classes, "aria-selected": this.selected, "aria-controls": this.controls, "aria-expanded": this.expanded, role: "tab" }, index.h(Element, Object.assign({ key: 'f21b6df6ba9ce488e6cd940f6233cefd9e4608a7', class: `${this.rootClass}__action`, type: this.as === 'button' ? 'button' : undefined }, this.elementProps), this.icon && !this.customIcon && index.h("nj-icon", { key: 'cfd0d3a52c38c80ea81a34f3107dbdaa739eb7f4', class: `${this.rootClass}__icon`, name: this.icon }), index.h("slot", { key: '5fa529e7b20e3e44eeca0ca17ea7b734c063a59e', name: "custom-icon" }), this.hasTextContent && (index.h("span", { key: '2e13a3bc2c71bd3c2356fa4f4e53e993fd22c53c', class: `${this.rootClass}__content` }, index.h("slot", { key: '7083be212fdf7d3073342babd5d432f5bf7eada0' }))), index.h("slot", { key: '82b6783278fbb4d54e7a9699f292819acbb9095b', name: "custom-trailing" }), this.expandable && index.h("nj-icon", { key: 'c0f912a93f47150625b541c8adfc19a07c679986', class: `${this.rootClass}__arrow`, name: "keyboard_arrow_down" }))));
    }
    get el() { return index.getElement(this); }
};
__decorate([
    slot.Slot('custom-icon')
], NavigationTab.prototype, "customIcon", void 0);
__decorate([
    slot.Slot('custom-trailing')
], NavigationTab.prototype, "customTrailing", void 0);

exports.nj_navigation_tab = NavigationTab;

//# sourceMappingURL=nj-navigation-tab.cjs.entry.js.map