import { h, Host } from "@stencil/core";
/**
 * Footer card are card with multiple color variations, which can be used inside the footer to highlight information
 *
 * @since 0.1.0-next.0
 * @lastmodified 0.1.0-next.0
 */
export class FooterContent {
    get classes() {
        return {
            'nj-footer-card': true,
            [`nj-footer-card--${this.variant}`]: !!this.variant,
        };
    }
    render() {
        return (h(Host, { key: 'f2034609c71e9564d3c92db48023bae0a0b16608', class: this.classes }, h("slot", { key: '1ecf4ff44c9a4650f25811da19686321f23f632f' })));
    }
    static get is() { return "nj-footer-card"; }
    static get styles() { return "nj-footer-card { display: block }"; }
    static get properties() {
        return {
            "variant": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "FooterCardProperties['variant']",
                    "resolved": "\"brand\" | \"danger\" | \"discovery\" | \"information\" | \"neutral\" | \"planet\" | \"success\" | \"warning\" | undefined",
                    "references": {
                        "FooterCardProperties": {
                            "location": "import",
                            "path": "@engie-group/fluid-types",
                            "id": "../types/dist/index.d.ts::FooterCardProperties"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "Footer card variant theme"
                },
                "getter": false,
                "setter": false,
                "attribute": "variant",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=footer-card.js.map
