import { h, Host } from "@stencil/core";
/**
 * Lists are a flexible and powerful component for displaying a series of content.
 *
 * @since 0.1.0-next.3
 * @lastmodified 0.1.0-next.3
 */
export class List {
    render() {
        return (h(Host, { key: '66ba00feceb495cacf62e88bd502c53e6afacca7', class: this.classes, role: "list" }, h("slot", { key: '4dc61e4a06ba5412b34e581318ef471fda086978' })));
    }
    get classes() {
        const rootClass = 'nj-list';
        return {
            [rootClass]: true,
            [`${rootClass}--${this.scale}`]: !!this.scale,
            [`${rootClass}--has-border`]: !!this.hasBorder,
        };
    }
    static get is() { return "nj-list"; }
    static get properties() {
        return {
            "hasBorder": {
                "type": "boolean",
                "mutable": false,
                "complexType": {
                    "original": "ListProperties['hasBorder']",
                    "resolved": "boolean | undefined",
                    "references": {
                        "ListProperties": {
                            "location": "import",
                            "path": "@engie-group/fluid-types",
                            "id": "../types/dist/index.d.ts::ListProperties"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Whether list items have borders"
                },
                "getter": false,
                "setter": false,
                "attribute": "has-border",
                "reflect": false
            },
            "scale": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "ListProperties['scale']",
                    "resolved": "\"lg\" | \"md\" | \"sm\" | undefined",
                    "references": {
                        "ListProperties": {
                            "location": "import",
                            "path": "@engie-group/fluid-types",
                            "id": "../types/dist/index.d.ts::ListProperties"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": "Size of the list items"
                },
                "getter": false,
                "setter": false,
                "attribute": "scale",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=list.js.map
