import { h, Host } from "@stencil/core";
/**
 * Tabs component
 *
 * @since 0.1.0-next.3
 * @lastmodified 0.1.0-next.3
 */
export class Tabs {
    constructor() {
        this.rootClass = 'nj-tabs';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
        };
    }
    render() {
        return (h(Host, { key: 'eac2da71037474b50a1f26b6d57b369294a54ba3', role: "tablist", class: this.classes }, h("slot", { key: 'ee5dec9de031f82180629e934898d66a88cd19f0' })));
    }
    static get is() { return "nj-tabs"; }
    static get properties() {
        return {
            "scale": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "TabsProperties['scale']",
                    "resolved": "\"lg\" | \"md\" | \"sm\" | \"xs\" | undefined",
                    "references": {
                        "TabsProperties": {
                            "location": "import",
                            "path": "@engie-group/fluid-types",
                            "id": "../types/dist/index.d.ts::TabsProperties"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "Scale of the tab item."
                },
                "getter": false,
                "setter": false,
                "attribute": "scale",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=tabs.js.map
