import { p as proxyCustomElement, H, d as createEvent, h, c as Host } from './p-d747a52c.js';
import { u as useId } from './p-7405d378.js';
import { h as hasSlot } from './p-0306c092.js';
import { d as defineCustomElement$2 } from './p-5ca09be7.js';

const Checkbox = /*@__PURE__*/ proxyCustomElement(class Checkbox extends H {
    constructor() {
        super();
        this.__registerHost();
        this.checkedChange = createEvent(this, "nj-checked-change", 7);
        this.indeterminateChange = createEvent(this, "nj-indeterminate-change", 7);
        this.rootClass = 'nj-checkbox';
        this.handleChange = (event) => {
            const input = event.target;
            this.checked = input.checked;
            this.checkedChange.emit(this.checked);
            const newIndeterminateState = input.indeterminate;
            if (this.indeterminate !== newIndeterminateState) {
                this.indeterminate = newIndeterminateState;
                this.indeterminateChange.emit(this.indeterminate);
            }
        };
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
            [`${this.rootClass}--${this.subscriptVariant}`]: !!this.subscriptVariant,
        };
    }
    render() {
        let subscriptId;
        if (this.subscript) {
            subscriptId = `linked-subscript-message-${useId(this.inputId)}`;
        }
        const input = h("input", { key: '3139dada067fcc54d88cc93b5f14676f501b1094', type: "checkbox", id: this.inputId, name: this.name, value: this.value, checked: this.checked, disabled: this.disabled, required: this.required, "aria-describedby": subscriptId, "aria-invalid": this.invalid ? 'true' : undefined, onChange: (event) => this.handleChange(event) });
        return (h(Host, { key: '6a52d07d19286395ab4402af3a46415eb3a7c964', class: this.classes }, hasSlot(this.element) ?
            h("label", null, input, h("span", { class: `${this.rootClass}__label` }, h("slot", null), this.required && (h("span", { "aria-hidden": "true", class: "nj-checkbox__required" }, "*")))) : input, this.subscript && (h("div", { key: 'e30110566f69177a75a36374c95aaf85a9f4e2a2', class: "nj-checkbox__subscript", id: subscriptId }, this.subscriptVariant === 'success' && h("nj-icon", { key: '3e05d6a314d0f85cae461493605d3ac807d58cbc', name: "check", variant: "inherit" }), this.subscriptVariant === 'error' && h("nj-icon", { key: 'c7c6b6ed59a62e50d957a879df63d1de84987a36', name: "warning", variant: "inherit" }), this.subscript))));
    }
    componentDidRender() {
        const input = this.element.querySelector('input');
        if (input && this.indeterminate) {
            input.indeterminate = true;
        }
    }
    get element() { return this; }
}, [4, "nj-checkbox", {
        "inputId": [1, "input-id"],
        "name": [1],
        "value": [1],
        "scale": [1],
        "subscript": [1],
        "subscriptVariant": [1, "subscript-variant"],
        "checked": [1540],
        "required": [516],
        "indeterminate": [1540],
        "disabled": [516],
        "invalid": [516]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nj-checkbox", "nj-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "nj-checkbox":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, Checkbox);
            }
            break;
        case "nj-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}
defineCustomElement$1();

const NjCheckbox = Checkbox;
const defineCustomElement = defineCustomElement$1;

export { NjCheckbox, defineCustomElement };

//# sourceMappingURL=nj-checkbox.js.map