import { p as proxyCustomElement, H, h } from './p-d747a52c.js';

const Footer = /*@__PURE__*/ proxyCustomElement(class Footer extends H {
    constructor() {
        super();
        this.__registerHost();
        this.RESPONSIVE_CSS_VAR = '--nj-footer-responsive-mode';
        this.handleResize = () => {
            if (this.resizeTimeout) {
                clearTimeout(this.resizeTimeout);
            }
            this.resizeTimeout = setTimeout(() => this.updateMode(), 200);
        };
    }
    get classes() {
        return {
            'nj-footer': true,
            [`nj-footer--${this.variant}`]: !!this.variant && this.variant !== 'neutral',
            'nj-footer--mobile': this.responsiveMode === 'mobile',
        };
    }
    getCssVariable(varName) {
        return getComputedStyle(document.documentElement).getPropertyValue(varName).trim().replace(/"/g, '');
    }
    updateMode() {
        const newMode = this.getCssVariable(this.RESPONSIVE_CSS_VAR);
        if (newMode !== this.responsiveMode) {
            this.responsiveMode = newMode;
        }
    }
    componentWillLoad() {
        this.updateMode();
        window.addEventListener('resize', this.handleResize);
    }
    disconnectedCallback() {
        window.removeEventListener('resize', this.handleResize);
        if (this.resizeTimeout) {
            clearTimeout(this.resizeTimeout);
        }
    }
    render() {
        return (h("div", { key: '12c689256152ef5b70b7d15764b46eb5811eef7b', class: this.classes }, h("slot", { key: '0cf63a401f9e957c41d9e783dedbcc0afa355f68' })));
    }
}, [4, "nj-footer", {
        "variant": [1],
        "resizeTimeout": [32],
        "responsiveMode": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nj-footer"];
    components.forEach(tagName => { switch (tagName) {
        case "nj-footer":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, Footer);
            }
            break;
    } });
}
defineCustomElement$1();

const NjFooter = Footer;
const defineCustomElement = defineCustomElement$1;

export { NjFooter, defineCustomElement };

//# sourceMappingURL=nj-footer.js.map