import { p as proxyCustomElement, H, d as createEvent, h, c as Host } from './p-d747a52c.js';
import { h as hasSlot } from './p-0306c092.js';
import { d as defineCustomElement$4 } from './p-5ca09be7.js';
import { d as defineCustomElement$3 } from './p-7b89a01a.js';
import { d as defineCustomElement$2 } from './p-b3d68deb.js';

const InlineMessage = /*@__PURE__*/ proxyCustomElement(class InlineMessage extends H {
    constructor() {
        super();
        this.__registerHost();
        this.onClose = createEvent(this, "nj-inline-message-close", 7);
        this.rootClass = 'nj-inline-message';
        this.closable = false;
        this.onCloseHandler = () => {
            this.onClose.emit();
        };
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.variant}`]: !!this.variant,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
            [`${this.rootClass}--action-position-${this.actionPosition}`]: !!this.actionPosition,
        };
    }
    render() {
        return (h(Host, { key: '669f002b95974d7a31fac5e03d1e5d68c9f54c5f', class: this.classes }, this.hasStatus && h("nj-status-indicator", { key: '2568dddd9ed6e64cb419071cc35ad1ee445d99f5', class: `${this.rootClass}__status` }), h("div", { key: '802284ddb51b607f78185ae5b3c88ecea1260032', class: `${this.rootClass}__content` }, hasSlot(this.el) ? (h("div", { class: `${this.rootClass}__body` }, h("slot", null))) : null, hasSlot(this.el, 'action') ? (h("div", { class: `${this.rootClass}__action` }, h("slot", { name: "action" }))) : null), this.closable && h("nj-icon-button", { key: '570276d2ba168941dbc4dda2ea09552ab5a31d76', class: `${this.rootClass}__close`, icon: "close", onClick: this.onCloseHandler, "aria-label": "close", as: "button" })));
    }
    get el() { return this; }
}, [4, "nj-inline-message", {
        "variant": [1],
        "scale": [1],
        "actionPosition": [1, "action-position"],
        "hasStatus": [4, "has-status"],
        "closable": [4]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nj-inline-message", "nj-icon", "nj-icon-button", "nj-status-indicator"];
    components.forEach(tagName => { switch (tagName) {
        case "nj-inline-message":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, InlineMessage);
            }
            break;
        case "nj-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "nj-icon-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "nj-status-indicator":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}
defineCustomElement$1();

const NjInlineMessage = InlineMessage;
const defineCustomElement = defineCustomElement$1;

export { NjInlineMessage, defineCustomElement };

//# sourceMappingURL=nj-inline-message.js.map