import { p as proxyCustomElement, H } from './p-d747a52c.js';
import { e as extractHtmlLinkProps, a as extractHtmlButtonProps } from './p-6360b90e.js';
import { l as listItemRender } from './p-56ffa491.js';
import { d as defineCustomElement$2 } from './p-5ca09be7.js';

const ListNavigationItem = /*@__PURE__*/ proxyCustomElement(class ListNavigationItem extends H {
    constructor() {
        super();
        this.__registerHost();
        this.rootClass = 'nj-list__navigation-item';
        this.listBaseClass = 'nj-list';
        this.as = 'span';
        this.textDistribution = 'horizontal';
        this.render = () => listItemRender(this.listBaseClass, this.classes, this.el, this.wrapperProps, this);
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.variant}`]: !!this.variant,
            [`${this.rootClass}--expanded`]: !!this.expanded,
            [`${this.rootClass}--vertical`]: this.textDistribution === 'vertical',
            [`${this.rootClass}--selected`]: !!this.selected,
            [`${this.rootClass}--interactive`]: !!this.interactive,
        };
    }
    get wrapperProps() {
        if (this.as === 'a') {
            return extractHtmlLinkProps(this);
        }
        if (this.as === 'button') {
            return extractHtmlButtonProps(this);
        }
        return;
    }
    get el() { return this; }
}, [4, "nj-list-navigation-item", {
        "as": [1],
        "leadingIcon": [1, "leading-icon"],
        "trailingIcon": [1, "trailing-icon"],
        "secondaryText": [1, "secondary-text"],
        "expandable": [4],
        "expanded": [4],
        "variant": [1],
        "textDistribution": [1, "text-distribution"],
        "selected": [4],
        "interactive": [4],
        "href": [1],
        "rel": [1],
        "target": [1],
        "download": [8],
        "type": [1],
        "disabled": [4],
        "form": [1],
        "name": [1],
        "value": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nj-list-navigation-item", "nj-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "nj-list-navigation-item":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ListNavigationItem);
            }
            break;
        case "nj-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}
defineCustomElement$1();

const NjListNavigationItem = ListNavigationItem;
const defineCustomElement = defineCustomElement$1;

export { NjListNavigationItem, defineCustomElement };

//# sourceMappingURL=nj-list-navigation-item.js.map