import { p as proxyCustomElement, H, h, c as Host } from './p-d747a52c.js';
import { e as extractHtmlLinkProps, a as extractHtmlButtonProps } from './p-6360b90e.js';
import { S as Slot } from './p-0306c092.js';
import { d as defineCustomElement$2 } from './p-5ca09be7.js';

var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
        r = Reflect.decorate(decorators, target, key, desc);
    else
        for (var i = decorators.length - 1; i >= 0; i--)
            if (d = decorators[i])
                r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
const NavigationTab = /*@__PURE__*/ proxyCustomElement(class NavigationTab extends H {
    constructor() {
        super();
        this.__registerHost();
        this.as = 'button';
        this.rootClass = `nj-navigation-tab`;
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.variant}`]: !!this.variant,
        };
    }
    get elementProps() {
        return this.as === 'a' ? extractHtmlLinkProps(this) : extractHtmlButtonProps(this);
    }
    get hasTextContent() {
        return Array.from(this.el.childNodes).filter(node => { var _a; return node.nodeType === Node.TEXT_NODE && ((_a = node.textContent) === null || _a === void 0 ? void 0 : _a.trim()); }).length > 0;
    }
    componentWillLoad() {
        var _a;
        (_a = this.customIcon) === null || _a === void 0 ? void 0 : _a.classList.add(`${this.rootClass}__icon`);
    }
    render() {
        const Element = this.as;
        return (h(Host, { key: 'a62d6564da55179e08f9ba489ac93d26642d13f7', class: this.classes, "aria-selected": this.selected, "aria-controls": this.controls, "aria-expanded": this.expanded, role: "tab" }, h(Element, Object.assign({ key: 'f21b6df6ba9ce488e6cd940f6233cefd9e4608a7', class: `${this.rootClass}__action`, type: this.as === 'button' ? 'button' : undefined }, this.elementProps), this.icon && !this.customIcon && h("nj-icon", { key: 'cfd0d3a52c38c80ea81a34f3107dbdaa739eb7f4', class: `${this.rootClass}__icon`, name: this.icon }), h("slot", { key: '5fa529e7b20e3e44eeca0ca17ea7b734c063a59e', name: "custom-icon" }), this.hasTextContent && (h("span", { key: '2e13a3bc2c71bd3c2356fa4f4e53e993fd22c53c', class: `${this.rootClass}__content` }, h("slot", { key: '7083be212fdf7d3073342babd5d432f5bf7eada0' }))), h("slot", { key: '82b6783278fbb4d54e7a9699f292819acbb9095b', name: "custom-trailing" }), this.expandable && h("nj-icon", { key: 'c0f912a93f47150625b541c8adfc19a07c679986', class: `${this.rootClass}__arrow`, name: "keyboard_arrow_down" }))));
    }
    get el() { return this; }
}, [4, "nj-navigation-tab", {
        "as": [1],
        "selected": [4],
        "icon": [1],
        "controls": [1],
        "variant": [1],
        "expandable": [4],
        "expanded": [4],
        "href": [1],
        "rel": [1],
        "target": [1],
        "disabled": [4]
    }]);
__decorate([
    Slot('custom-icon')
], NavigationTab.prototype, "customIcon", void 0);
__decorate([
    Slot('custom-trailing')
], NavigationTab.prototype, "customTrailing", void 0);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nj-navigation-tab", "nj-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "nj-navigation-tab":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, NavigationTab);
            }
            break;
        case "nj-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}
defineCustomElement$1();

const NjNavigationTab = NavigationTab;
const defineCustomElement = defineCustomElement$1;

export { NjNavigationTab, defineCustomElement };

//# sourceMappingURL=nj-navigation-tab.js.map