import { p as proxyCustomElement, H, h, c as Host } from './p-d747a52c.js';

const Spinner = /*@__PURE__*/ proxyCustomElement(class Spinner extends H {
    constructor() {
        super();
        this.__registerHost();
        this.rootClass = 'nj-spinner';
        /**
         * Aria label, for accessibility reasons
         */
        this.ariaLabel = 'loading';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.variant}`]: !!this.variant,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
        };
    }
    render() {
        return h(Host, { key: 'b28fb11b17fcde77fc4ae15f9f72502fb38cd53d', class: this.classes, "aria-label": this.ariaLabel });
    }
}, [0, "nj-spinner", {
        "variant": [1],
        "scale": [1],
        "ariaLabel": [1, "aria-label"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nj-spinner"];
    components.forEach(tagName => { switch (tagName) {
        case "nj-spinner":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, Spinner);
            }
            break;
    } });
}
defineCustomElement();

export { Spinner as S, defineCustomElement as d };

//# sourceMappingURL=p-145d9ed9.js.map