import { p as proxyCustomElement, H, h, F as Fragment } from './p-d747a52c.js';
import { e as extractHtmlLinkProps, a as extractHtmlButtonProps } from './p-6360b90e.js';
import { d as defineCustomElement$1 } from './p-5a152606.js';

const IconButton = /*@__PURE__*/ proxyCustomElement(class IconButton extends H {
    constructor() {
        super();
        this.__registerHost();
        this.rootClass = 'nj-icon-btn';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.variant}`]: !!this.variant,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
        };
    }
    get elementProps() {
        return this.as === 'a' ? extractHtmlLinkProps(this) : extractHtmlButtonProps(this);
    }
    render() {
        var _a;
        const Element = (_a = this.as) !== null && _a !== void 0 ? _a : 'a';
        return (h(Element, Object.assign({ key: 'afa6b27c1045a5bfc6ab1628fcb5950baad3a71f', class: this.classes }, this.elementProps, { "aria-pressed": this.pressed, "aria-label": this.altLabel }), this.icon && (h(Fragment, { key: '4dc83e85dd7c29fbfed42cc5395fa549c1a88df4' }, h("nj-icon", { key: 'c4110e14836b8d4522c6fd793330ea0143dca20f', class: "nj-icon-btn__icon", name: this.icon }))), h("slot", { key: '3540a224d84742c4e2b4a66a24bec086e41cf9a0', name: "custom-icon" })));
    }
    static get style() { return "nj-icon-button { display: contents }"; }
}, [4, "nj-icon-button", {
        "as": [1],
        "scale": [1],
        "icon": [1],
        "altLabel": [1, "alt-label"],
        "variant": [1],
        "pressed": [4],
        "href": [1],
        "rel": [1],
        "target": [1],
        "download": [8],
        "type": [1],
        "disabled": [4],
        "form": [1],
        "name": [1],
        "value": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nj-icon-button", "nj-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "nj-icon-button":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, IconButton);
            }
            break;
        case "nj-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}
defineCustomElement();

export { IconButton as I, defineCustomElement as d };

//# sourceMappingURL=p-26d08c7d.js.map