import { p as proxyCustomElement, H, h, c as Host } from './p-d747a52c.js';

// src/components/avatar/properties.ts
var ICON_ENGIE_PREFIX = "engie_";

const Icon = /*@__PURE__*/ proxyCustomElement(class Icon extends H {
    constructor() {
        super();
        this.__registerHost();
        this.rootClass = 'nj-icon-material';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            'material-icons': true,
            [`${this.rootClass}--${this.variant === 'inherit' ? 'color-' : ''}${this.variant}`]: !!this.variant,
            [`${this.rootClass}--${this.scale === 'inherit' ? 'size-' : ''}${this.scale}`]: !!this.scale,
            [`${this.rootClass}--engie`]: this.name.startsWith(ICON_ENGIE_PREFIX),
        };
    }
    render() {
        return (h(Host, { key: '0b6104f9e4fbf480cddeedc5216264b42a2b579e', "aria-hidden": "true", class: this.classes }, this.name));
    }
}, [0, "nj-icon", {
        "variant": [1],
        "scale": [1],
        "name": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nj-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "nj-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, Icon);
            }
            break;
    } });
}
defineCustomElement();

export { Icon as I, defineCustomElement as d };

//# sourceMappingURL=p-5a152606.js.map