import { p as proxyCustomElement, H, h, F as Fragment } from './p-d747a52c.js';
import { e as extractHtmlLinkProps, a as extractHtmlButtonProps } from './p-6360b90e.js';
import { d as defineCustomElement$1 } from './p-5ca09be7.js';

const IconButton = /*@__PURE__*/ proxyCustomElement(class IconButton extends H {
    constructor() {
        super();
        this.__registerHost();
        this.rootClass = 'nj-icon-btn';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.variant}`]: !!this.variant,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
        };
    }
    get elementProps() {
        return this.as === 'a' ? extractHtmlLinkProps(this) : extractHtmlButtonProps(this);
    }
    render() {
        var _a;
        const Element = (_a = this.as) !== null && _a !== void 0 ? _a : 'a';
        return (h(Element, Object.assign({ key: 'eabc55fdb696242b0eb50cc6a1f35d02f553ce53', class: this.classes }, this.elementProps, { "aria-pressed": this.pressed, "aria-label": this.altLabel }), this.icon && (h(Fragment, { key: '979da70aeed743009c761e545c3803fd710ec555' }, h("nj-icon", { key: '243118c42fa4fc43ee012a2a54258fc55b0fb3bb', class: "nj-icon-btn__icon", name: this.icon }))), h("slot", { key: 'a09e35d2599d5a7b7fb74f41c1f601911f5f85e4', name: "custom-icon" })));
    }
    static get style() { return "nj-icon-button { display: contents }"; }
}, [4, "nj-icon-button", {
        "as": [1],
        "scale": [1],
        "icon": [1],
        "altLabel": [1, "alt-label"],
        "variant": [1],
        "pressed": [4],
        "href": [1],
        "rel": [1],
        "target": [1],
        "download": [8],
        "type": [1],
        "disabled": [4],
        "form": [1],
        "name": [1],
        "value": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nj-icon-button", "nj-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "nj-icon-button":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, IconButton);
            }
            break;
        case "nj-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}
defineCustomElement();

export { IconButton as I, defineCustomElement as d };

//# sourceMappingURL=p-7b89a01a.js.map