import { p as proxyCustomElement, H, h, c as Host } from './p-d747a52c.js';

const StatusIndicator = /*@__PURE__*/ proxyCustomElement(class StatusIndicator extends H {
    constructor() {
        super();
        this.__registerHost();
        this.rootClass = 'nj-status-indicator';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.status}`]: !!this.status,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
        };
    }
    componentWillRender() {
        this.contentNodes = Array.from(this.el.childNodes).filter(node => node.nodeType !== 8); // filter out comment nodes
    }
    render() {
        return (h(Host, { key: '6ae18aa809fb8f2562ff4438941052bc5e590a43', class: this.classes }, h("div", { key: 'fce04e109882b4c87c0619e1684e53045e5c6a4c', class: `${this.rootClass}__svg` }), this.contentNodes.length > 0 ? (h("div", { class: `${this.rootClass}__text` }, h("slot", null))) : null));
    }
    get el() { return this; }
    static get style() { return "nj-status-indicator {\n      display: contents;\n    }"; }
}, [4, "nj-status-indicator", {
        "status": [1],
        "scale": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nj-status-indicator"];
    components.forEach(tagName => { switch (tagName) {
        case "nj-status-indicator":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, StatusIndicator);
            }
            break;
    } });
}
defineCustomElement();

export { StatusIndicator as S, defineCustomElement as d };

//# sourceMappingURL=p-b3d68deb.js.map