import { p as proxyCustomElement, H, h } from './p-d747a52c.js';
import { h as hasSlot } from './p-0306c092.js';

const Link = /*@__PURE__*/ proxyCustomElement(class Link extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    get classes() {
        const hasLeadingSlot = hasSlot(this.el, 'leading');
        const hasTrailingSlot = hasSlot(this.el, 'trailing');
        return {
            'nj-link': true,
            'nj-link-icon': hasTrailingSlot || hasLeadingSlot,
            'nj-link-icon--before': hasLeadingSlot,
            [`nj-link--${this.variant}`]: !!this.variant,
            [`nj-link--${this.scale}`]: !!this.scale,
        };
    }
    render() {
        return (h("a", { key: '11f287f23cd2a9ab86c5b30e4708cd8a6d3833f3', class: this.classes, href: this.href, target: this.target, rel: this.rel, download: this.download }, h("slot", { key: 'b1a77ebc9c335bb864f378e4a150a9417e0d0337', name: "leading" }), h("slot", { key: '0f6632a45dde89de5bf345b91b6f3369fbd42be0' }), h("slot", { key: 'b29357fa86d28cee4cd06fdf330c0d0c02f42da0', name: "trailing" })));
    }
    get el() { return this; }
}, [4, "nj-link", {
        "href": [1],
        "rel": [1],
        "target": [1],
        "download": [8],
        "variant": [1],
        "scale": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nj-link"];
    components.forEach(tagName => { switch (tagName) {
        case "nj-link":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, Link);
            }
            break;
    } });
}
defineCustomElement();

export { Link as L, defineCustomElement as d };

//# sourceMappingURL=p-b9cba26e.js.map