import { p as proxyCustomElement, H, h } from './p-d747a52c.js';
import { h as hasSlot } from './p-0306c092.js';

const Link = /*@__PURE__*/ proxyCustomElement(class Link extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    get classes() {
        const hasLeadingSlot = hasSlot(this.el, 'leading');
        const hasTrailingSlot = hasSlot(this.el, 'trailing');
        return {
            'nj-link': true,
            'nj-link-icon': hasTrailingSlot || hasLeadingSlot,
            'nj-link-icon--before': hasLeadingSlot,
            [`nj-link--${this.variant}`]: !!this.variant,
            [`nj-link--${this.scale}`]: !!this.scale,
        };
    }
    render() {
        return (h("a", { key: '51e4470d9f329eac513d046fffb8188e90d2a2ad', class: this.classes, href: this.href, target: this.target, rel: this.rel, download: this.download }, h("slot", { key: 'db29f8f73e0dc5ef15b2f3606fb896e059e28c57', name: "leading" }), h("slot", { key: 'dcf7ab3f59dd41273480bc22a640490357f0b8d6' }), h("slot", { key: 'f483940feff643031e01d9042ba57d6f85dfc360', name: "trailing" })));
    }
    get el() { return this; }
}, [4, "nj-link", {
        "href": [1],
        "rel": [1],
        "target": [1],
        "download": [8],
        "variant": [1],
        "scale": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nj-link"];
    components.forEach(tagName => { switch (tagName) {
        case "nj-link":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, Link);
            }
            break;
    } });
}
defineCustomElement();

export { Link as L, defineCustomElement as d };

//# sourceMappingURL=p-f48ce11a.js.map