import { h, H as Host } from './index-ea5ff4dd.js';

const listItemRender = (listBaseClass, classes, el, wrapperProps, props) => {
    const Element = props.as;
    const customLeading = el.querySelector('[slot="leading"]');
    customLeading === null || customLeading === void 0 ? void 0 : customLeading.classList.add(`${listBaseClass}__item-leading`);
    const customTrailing = el.querySelector('[slot="trailing"]');
    customTrailing === null || customTrailing === void 0 ? void 0 : customTrailing.classList.add(`${listBaseClass}__item-trailing`);
    return (h(Host, { class: classes, role: "listitem" },
        h(Element, Object.assign({ class: `${listBaseClass}__item-wrapper` }, wrapperProps),
            props.leadingIcon && !customLeading && h("nj-icon", { class: `${listBaseClass}__item-leading`, name: props.leadingIcon }),
            h("slot", { name: "leading" }),
            h("span", { class: `${listBaseClass}__item-content` },
                h("span", { class: `${listBaseClass}__item-primary` },
                    h("slot", null)),
                props.secondaryText && h("span", { class: `${listBaseClass}__item-secondary` }, props.secondaryText)),
            props.trailingIcon && !customTrailing && h("nj-icon", { class: `${listBaseClass}__item-trailing`, name: props.trailingIcon }),
            'expandable' in props && props.expandable && h("nj-icon", { class: `${listBaseClass}__item-trailing ${listBaseClass}__item-arrow`, name: "keyboard_arrow_down" }),
            h("slot", { name: "trailing" }))));
};

export { listItemRender as l };

//# sourceMappingURL=list-item.utils-3ad1d9f7.js.map