import { r as registerInstance, h, g as getElement } from './index-ea5ff4dd.js';
import { e as extractHtmlLinkProps, a as extractHtmlButtonProps } from './properties.utils-81ed4256.js';
import { S as Slot } from './slot-72d34576.js';

var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
        r = Reflect.decorate(decorators, target, key, desc);
    else
        for (var i = decorators.length - 1; i >= 0; i--)
            if (d = decorators[i])
                r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
const Button = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.rootClass = 'nj-btn';
        this.as = 'button';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.variant}`]: !!this.variant,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
            [`${this.rootClass}--${this.emphasis}`]: !!this.emphasis,
            [`${this.rootClass}--is-loading`]: !!this.isLoading,
        };
    }
    get elementProps() {
        return this.as === 'a' ? extractHtmlLinkProps(this) : extractHtmlButtonProps(this);
    }
    render() {
        var _a;
        const Element = this.as;
        (_a = this.customIcon) === null || _a === void 0 ? void 0 : _a.classList.add(`${this.rootClass}__icon`);
        return (h(Element, Object.assign({ key: '70c7eddd496596fc21fe1ba4aa55d8c63060b3b4', class: this.classes }, this.elementProps), this.isLoading && h("nj-spinner", { key: 'a60b2e45a615371e45fe909240769f8503be5f5d' }), this.icon && !this.customIcon && !this.isLoading && h("nj-icon", { key: '625a5d78e5961d54844470f053de2b5a022e1a6f', class: `${this.rootClass}__icon`, name: this.icon }), h("slot", { key: 'f3bdf3c82a537d7edf538379b8bd2abe058f7db3', name: "custom-icon" }), h("slot", { key: 'a7ce759843dda76efaa01ca90242803875dcec39' })));
    }
    get el() { return getElement(this); }
};
__decorate([
    Slot('custom-icon')
], Button.prototype, "customIcon", void 0);
Button.style = "nj-button { display: contents }";

export { Button as nj_button };

//# sourceMappingURL=nj-button.entry.js.map