import { r as registerInstance, h, H as Host } from './index-ea5ff4dd.js';

const Divider = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.rootClass = 'nj-divider';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
            [`${this.rootClass}--vertical`]: !!this.vertical,
        };
    }
    render() {
        return h(Host, { key: 'a995b88d02ad7d29bc44949cfcf2f88c10315ebf', class: this.classes, role: "separator", "aria-orientation": this.vertical ? 'vertical' : undefined });
    }
};

const Tabs = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.rootClass = 'nj-tabs';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
        };
    }
    render() {
        return (h(Host, { key: 'eac2da71037474b50a1f26b6d57b369294a54ba3', role: "tablist", class: this.classes }, h("slot", { key: 'ee5dec9de031f82180629e934898d66a88cd19f0' })));
    }
};

export { Divider as nj_divider, Tabs as nj_tabs };

//# sourceMappingURL=nj-divider_2.entry.js.map