import { r as registerInstance, h, H as Host } from './index-ea5ff4dd.js';

// src/components/avatar/properties.ts
var ICON_ENGIE_PREFIX = "engie_";

const Icon = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.rootClass = 'nj-icon-material';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            'material-icons': true,
            [`${this.rootClass}--${this.variant === 'inherit' ? 'color-' : ''}${this.variant}`]: !!this.variant,
            [`${this.rootClass}--${this.scale === 'inherit' ? 'size-' : ''}${this.scale}`]: !!this.scale,
            [`${this.rootClass}--engie`]: this.name.startsWith(ICON_ENGIE_PREFIX),
        };
    }
    render() {
        return (h(Host, { key: 'cf5457b4880a948df381eb37e0655b5c5f335baf', "aria-hidden": "true", class: this.classes }, this.name));
    }
};

export { Icon as nj_icon };

//# sourceMappingURL=nj-icon.entry.js.map