import { r as registerInstance, c as createEvent, h, H as Host, g as getElement } from './index-ea5ff4dd.js';
import { h as hasSlot } from './slot-72d34576.js';

const InlineMessage = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.onClose = createEvent(this, "nj-inline-message-close", 7);
        this.rootClass = 'nj-inline-message';
        this.closable = false;
        this.onCloseHandler = () => {
            this.onClose.emit();
        };
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.variant}`]: !!this.variant,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
            [`${this.rootClass}--action-position-${this.actionPosition}`]: !!this.actionPosition,
        };
    }
    render() {
        return (h(Host, { key: '669f002b95974d7a31fac5e03d1e5d68c9f54c5f', class: this.classes }, this.hasStatus && h("nj-status-indicator", { key: '2568dddd9ed6e64cb419071cc35ad1ee445d99f5', class: `${this.rootClass}__status` }), h("div", { key: '802284ddb51b607f78185ae5b3c88ecea1260032', class: `${this.rootClass}__content` }, hasSlot(this.el) ? (h("div", { class: `${this.rootClass}__body` }, h("slot", null))) : null, hasSlot(this.el, 'action') ? (h("div", { class: `${this.rootClass}__action` }, h("slot", { name: "action" }))) : null), this.closable && h("nj-icon-button", { key: '570276d2ba168941dbc4dda2ea09552ab5a31d76', class: `${this.rootClass}__close`, icon: "close", onClick: this.onCloseHandler, "aria-label": "close", as: "button" })));
    }
    get el() { return getElement(this); }
};

export { InlineMessage as nj_inline_message };

//# sourceMappingURL=nj-inline-message.entry.js.map