import { r as registerInstance, h, g as getElement } from './index-ea5ff4dd.js';
import { h as hasSlot } from './slot-72d34576.js';

const Link = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    get classes() {
        const hasLeadingSlot = hasSlot(this.el, 'leading');
        const hasTrailingSlot = hasSlot(this.el, 'trailing');
        return {
            'nj-link': true,
            'nj-link-icon': hasTrailingSlot || hasLeadingSlot,
            'nj-link-icon--before': hasLeadingSlot,
            [`nj-link--${this.variant}`]: !!this.variant,
            [`nj-link--${this.scale}`]: !!this.scale,
        };
    }
    render() {
        return (h("a", { key: '51e4470d9f329eac513d046fffb8188e90d2a2ad', class: this.classes, href: this.href, target: this.target, rel: this.rel, download: this.download }, h("slot", { key: 'db29f8f73e0dc5ef15b2f3606fb896e059e28c57', name: "leading" }), h("slot", { key: 'dcf7ab3f59dd41273480bc22a640490357f0b8d6' }), h("slot", { key: 'f483940feff643031e01d9042ba57d6f85dfc360', name: "trailing" })));
    }
    get el() { return getElement(this); }
};

export { Link as nj_link };

//# sourceMappingURL=nj-link.entry.js.map