import { r as registerInstance, g as getElement } from './index-ea5ff4dd.js';
import { e as extractHtmlLinkProps, a as extractHtmlButtonProps } from './properties.utils-81ed4256.js';
import { l as listItemRender } from './list-item.utils-3ad1d9f7.js';

const ListNavigationItem = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.rootClass = 'nj-list__navigation-item';
        this.listBaseClass = 'nj-list';
        this.as = 'span';
        this.textDistribution = 'horizontal';
        this.render = () => listItemRender(this.listBaseClass, this.classes, this.el, this.wrapperProps, this);
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.variant}`]: !!this.variant,
            [`${this.rootClass}--expanded`]: !!this.expanded,
            [`${this.rootClass}--vertical`]: this.textDistribution === 'vertical',
            [`${this.rootClass}--selected`]: !!this.selected,
            [`${this.rootClass}--interactive`]: !!this.interactive,
        };
    }
    get wrapperProps() {
        if (this.as === 'a') {
            return extractHtmlLinkProps(this);
        }
        if (this.as === 'button') {
            return extractHtmlButtonProps(this);
        }
        return;
    }
    get el() { return getElement(this); }
};

export { ListNavigationItem as nj_list_navigation_item };

//# sourceMappingURL=nj-list-navigation-item.entry.js.map