import { r as registerInstance, h, H as Host, g as getElement } from './index-ea5ff4dd.js';
import { e as extractHtmlLinkProps, a as extractHtmlButtonProps } from './properties.utils-81ed4256.js';
import { S as Slot } from './slot-72d34576.js';

var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
        r = Reflect.decorate(decorators, target, key, desc);
    else
        for (var i = decorators.length - 1; i >= 0; i--)
            if (d = decorators[i])
                r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
const NavigationAction = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.as = 'button';
        this.rootClass = 'nj-navigation-action';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.variant}`]: !!this.variant,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
        };
    }
    get elementProps() {
        return this.as === 'a' ? extractHtmlLinkProps(this) : extractHtmlButtonProps(this);
    }
    get hasTextContent() {
        return Array.from(this.el.childNodes).filter(node => { var _a; return node.nodeType === Node.TEXT_NODE && ((_a = node.textContent) === null || _a === void 0 ? void 0 : _a.trim()); }).length > 0;
    }
    componentWillLoad() {
        var _a;
        (_a = this.customIcon) === null || _a === void 0 ? void 0 : _a.classList.add(`${this.rootClass}__icon`);
    }
    render() {
        const Element = this.as;
        return (h(Host, { key: '8a9496be717ffe20ebdf1586ef2d4596f2c37cd5', class: this.classes, "aria-expanded": this.expanded }, h(Element, Object.assign({ key: '00c8ddb59ab207a1e46783af34fcf415560ccffb', class: `${this.rootClass}__action`, type: this.as === 'button' ? 'button' : undefined }, this.elementProps), this.icon && !this.customIcon && h("nj-icon", { key: '83c6e212fb439ecb8769d229ec98ff9afbc46683', class: `${this.rootClass}__icon`, name: this.icon }), h("slot", { key: '60589d8e77a51664a328aa23f432b1874a8a1708', name: "custom-icon" }), this.hasTextContent && (h("span", { key: '70f47150fde1a9479d93a2d3ec2ce5d12a756fab', class: `${this.rootClass}__content` }, h("slot", { key: '2a15cc0703f906374ad32f3b93502b87871b6d29' }))), h("slot", { key: 'fc575fc298369b796febfa04a7b7dd15a303ed16', name: "custom-trailing" }), this.expandable && h("nj-icon", { key: '77d927dbd0597a58fcd42d2e51d7bdedb7425d33', class: `${this.rootClass}__arrow`, name: "keyboard_arrow_down" }))));
    }
    get el() { return getElement(this); }
};
__decorate([
    Slot('custom-icon')
], NavigationAction.prototype, "customIcon", void 0);
__decorate([
    Slot('custom-trailing')
], NavigationAction.prototype, "customTrailing", void 0);

export { NavigationAction as nj_navigation_action };

//# sourceMappingURL=nj-navigation-action.entry.js.map