import { r as registerInstance, h, H as Host } from './index-ea5ff4dd.js';

const Spinner = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.rootClass = 'nj-spinner';
        /**
         * Aria label, for accessibility reasons
         */
        this.ariaLabel = 'loading';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.variant}`]: !!this.variant,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
        };
    }
    render() {
        return h(Host, { key: 'b28fb11b17fcde77fc4ae15f9f72502fb38cd53d', class: this.classes, "aria-label": this.ariaLabel });
    }
};

export { Spinner as nj_spinner };

//# sourceMappingURL=nj-spinner.entry.js.map