import { r as registerInstance, h, H as Host, g as getElement } from './index-ea5ff4dd.js';

const StatusIndicator = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.rootClass = 'nj-status-indicator';
    }
    get classes() {
        return {
            [this.rootClass]: true,
            [`${this.rootClass}--${this.status}`]: !!this.status,
            [`${this.rootClass}--${this.scale}`]: !!this.scale,
        };
    }
    componentWillRender() {
        this.contentNodes = Array.from(this.el.childNodes).filter(node => node.nodeType !== 8); // filter out comment nodes
    }
    render() {
        return (h(Host, { key: '6ae18aa809fb8f2562ff4438941052bc5e590a43', class: this.classes }, h("div", { key: 'fce04e109882b4c87c0619e1684e53045e5c6a4c', class: `${this.rootClass}__svg` }), this.contentNodes.length > 0 ? (h("div", { class: `${this.rootClass}__text` }, h("slot", null))) : null));
    }
    get el() { return getElement(this); }
};
StatusIndicator.style = "nj-status-indicator {\n      display: contents;\n    }";

export { StatusIndicator as nj_status_indicator };

//# sourceMappingURL=nj-status-indicator.entry.js.map