/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "./stencil-public-runtime";
import { ButtonProps } from "./components/button/button";
import { CheckboxProperties, DividerProperties, FooterCardProperties, FooterItemProperties, FooterProperties, HeaderProperties, IconProperties, InlineMessageProperties, LinkProperties, ListProperties, SpinnerProperties, StatusIndicatorProperties, TabsProperties } from "@engie-group/fluid-types";
import { IconButtonProps } from "./components/icon-button/types";
import { InputProps } from "./components/input/input";
import { ListItemProps } from "./components/list/list-item/list-item";
import { ButtonProps as ButtonProps1 } from "./components/button/button";
import { ListNavigationItemProps } from "./components/list/list-navigation-item/list-navigation-item";
import { NavigationActionProps } from "./components/navigation-action/navigation-action";
import { NavigationTabProps } from "./components/navigation-tab/navigation-tab";
export { ButtonProps } from "./components/button/button";
export { CheckboxProperties, DividerProperties, FooterCardProperties, FooterItemProperties, FooterProperties, HeaderProperties, IconProperties, InlineMessageProperties, LinkProperties, ListProperties, SpinnerProperties, StatusIndicatorProperties, TabsProperties } from "@engie-group/fluid-types";
export { IconButtonProps } from "./components/icon-button/types";
export { InputProps } from "./components/input/input";
export { ListItemProps } from "./components/list/list-item/list-item";
export { ButtonProps as ButtonProps1 } from "./components/button/button";
export { ListNavigationItemProps } from "./components/list/list-navigation-item/list-navigation-item";
export { NavigationActionProps } from "./components/navigation-action/navigation-action";
export { NavigationTabProps } from "./components/navigation-tab/navigation-tab";
export namespace Components {
    /**
     * Buttons allow users to interact with the product and trigger actions. They can be of different sizes, colors and status
     * In terms of accessibility, be mindful of people using assistive technologies: don’t use links instead of buttons to trigger actions.
     * @since 0.1.0-next.1
     * @lastmodified 0.1.0-next.1
     */
    interface NjButton {
        /**
          * The element tag to render
         */
        "as": ButtonProps['as'];
        "disabled": ButtonProps['disabled'];
        "download": ButtonProps['download'];
        /**
          * The button emphasis
         */
        "emphasis": ButtonProps['emphasis'];
        "form": ButtonProps['form'];
        "href": ButtonProps['href'];
        /**
          * The button icon name
         */
        "icon": ButtonProps['icon'];
        /**
          * Whether button is loading or not
         */
        "isLoading": ButtonProps['isLoading'];
        "name": ButtonProps['name'];
        "rel": ButtonProps['rel'];
        /**
          * The button size
         */
        "scale": ButtonProps['scale'];
        "target": ButtonProps['target'];
        "type": ButtonProps['type'];
        "value": ButtonProps['value'];
        /**
          * The button variant
         */
        "variant": ButtonProps['variant'];
    }
    /**
     * A checkbox is an input control that allows the user to give a feedback by choosing several items from a list of options.
     * @since 0.1.0-next.1
     * @lastmodified 0.1.0-next.1
     */
    interface NjCheckbox {
        /**
          * Whether the checkbox component is checked
         */
        "checked": CheckboxProperties['disabled'];
        /**
          * Whether the checkbox component is disabled
         */
        "disabled": CheckboxProperties['disabled'];
        /**
          * Whether the checkbox component is indeterminate
         */
        "indeterminate": CheckboxProperties['indeterminate'];
        /**
          * Represents the identifier for the input element. This optional variable allows you to specify a unique identifier for referencing or interacting with the input element.
          * @type {string}
         */
        "inputId"?: string;
        /**
          * Whether the checkbox component is invalid
         */
        "invalid": CheckboxProperties['invalid'];
        /**
          * Name of the form control. Submitted with the form as part of a name/value pair
         */
        "name"?: string;
        /**
          * Whether the checkbox component is required
         */
        "required": CheckboxProperties['disabled'];
        /**
          * Defines the size of the checkbox component.  Possible values: - 'md': Medium size (default). - 'lg': Large size, for enhanced visibility and accessibility. - 'xl': Extra-large size, providing maximum visibility and ease of interaction.
         */
        "scale"?: CheckboxProperties['scale'];
        /**
          * Text content displayed as subscript below the checkbox, used for additional labels, instructions, or feedback messages.
         */
        "subscript"?: CheckboxProperties['subscript'];
        /**
          * Defines the visual variant of the subscript message, indicating a specific status or state.  Possible values: - 'error': Indicates an error or issue with user input or selection. - 'success': Indicates successful input validation or positive feedback.  If not specified, defaults to a neutral display without special styling.
         */
        "subscriptVariant"?: CheckboxProperties['subscriptVariant'];
        /**
          * The value of the checkbox when checked.
         */
        "value"?: string;
    }
    /**
     * A divider is a component used to separate two elements at the same level
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.3
     */
    interface NjDivider {
        /**
          * Spacing around the divider
         */
        "scale": DividerProperties['scale'];
        /**
          * Whether the divider is vertical or horizontal
         */
        "vertical": DividerProperties['vertical'];
    }
    /**
     * Footer is mainly used for links and legal information.
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjFooter {
        /**
          * Footer variant theme
         */
        "variant"?: FooterProperties['variant'];
    }
    /**
     * Footer card are card with multiple color variations, which can be used inside the footer to highlight information
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjFooterCard {
        /**
          * Footer card variant theme
         */
        "variant"?: FooterCardProperties['variant'];
    }
    /**
     * Footer column are components used to display footer content in a vertical way
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjFooterColumn {
    }
    /**
     * Footer content is a padded container in the footer which handle contained version.
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjFooterContent {
    }
    /**
     * Footer content top handle displaying of a logo and a baseline
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjFooterContentTop {
    }
    /**
     * Links displayed in the footer component.
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjFooterItem {
        /**
          * Specifies whether the linked document will have a download option when clicked. If a string is provided, it will be used as the filename.
         */
        "download"?: boolean | string;
        /**
          * The URL that the hyperlink points to.
         */
        "href"?: string;
        /**
          * Padding of the footer item. Impacts the size of the item.
         */
        "padding"?: FooterItemProperties['padding'];
        /**
          * The relationship between the current document and the linked document
         */
        "rel"?: string;
        /**
          * The scale of the footer item. Impacts the size of the text.
         */
        "scale"?: FooterItemProperties['scale'];
        /**
          * Specifies where to open the linked document
         */
        "target"?: string;
    }
    /**
     * Footer navigation display footer columns in a flexible way.
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjFooterNavigation {
    }
    /**
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjFooterSecondaryNavigation {
        "copyright"?: string;
    }
    /**
     * The header is the top section of a page, typically containing the logo, navigation links, and other important elements.
     * A header can be retracted to save space on the page.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface NjHeader {
        /**
          * Whether the header is retracted on one line or not
         */
        "retracted": HeaderProperties['retracted'];
    }
    /**
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjIcon {
        /**
          * Material icon name https://material.io/resources/icons/?style=baseline
         */
        "name": IconProperties['name'];
        /**
          * Icon size
         */
        "scale"?: IconProperties['scale'];
        /**
          * Icon variant theme
         */
        "variant"?: IconProperties['variant'];
    }
    /**
     * Icon buttons are a variation of buttons. Use them only to trigger actions.
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.3
     */
    interface NjIconButton {
        /**
          * Icon alternative label
         */
        "altLabel"?: IconButtonProps['altLabel'];
        /**
          * The element tag to render
         */
        "as"?: IconButtonProps['as'];
        "disabled": IconButtonProps['disabled'];
        "download": IconButtonProps['download'];
        "form": IconButtonProps['form'];
        "href": IconButtonProps['href'];
        /**
          * Icon button material icon name (from https://material.io/resources/icons/?style=baseline)
         */
        "icon"?: IconButtonProps['icon'];
        "name": IconButtonProps['name'];
        /**
          * Indicates the current "pressed" state of a toggle button.
         */
        "pressed"?: IconButtonProps['pressed'];
        "rel": IconButtonProps['rel'];
        /**
          * Icon button scale
         */
        "scale"?: IconButtonProps['scale'];
        "target": IconButtonProps['target'];
        "type": IconButtonProps['type'];
        "value": IconButtonProps['value'];
        /**
          * Icon button theme variant
         */
        "variant"?: IconButtonProps['variant'];
    }
    /**
     * @since 0.1.0-next.1
     * @lastmodified 0.1.0-next.1
     */
    interface NjInlineMessage {
        /**
          * Used to set the position of the action element.
         */
        "actionPosition": InlineMessageProperties['actionPosition'];
        "closable": boolean;
        /**
          * Whether the inline-message has a status indicator icon or not.
         */
        "hasStatus": InlineMessageProperties['hasStatus'];
        /**
          * Scale of the inline message. Impacts the size of the text.
         */
        "scale": InlineMessageProperties['scale'];
        /**
          * Semantic variations of the inline message.
         */
        "variant": InlineMessageProperties['variant'];
    }
    /**
     * Inputs are used in forms to help people provide information. The following variations are available in Fluid:
     * Text
     * Password
     * Number
     * Please be mindful of the overall accessibility of your forms by applying accessibility guidelines.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface NjInput {
        /**
          * Whether the input is disabled
         */
        "disabled": InputProps['disabled'];
        /**
          * Icon name to display alongside the input.
         */
        "icon": InputProps['icon'];
        /**
          * The input id.
         */
        "inputId": InputProps['inputId'];
        /**
          * Whether the input is in an invalid state.
         */
        "invalid": InputProps['invalid'];
        /**
          * The text label for the input field.
         */
        "label": InputProps['label'];
        /**
          * The kind of label to be displayed.
         */
        "labelKind": InputProps['labelKind'];
        /**
          * Text to announce when password is hidden.
         */
        "passwordHiddenText": InputProps['passwordHiddenText'];
        /**
          * Aria label for the hide password action button.
         */
        "passwordHideActionAriaLabel": InputProps['passwordHideActionAriaLabel'];
        /**
          * Aria label for the show password action button.
         */
        "passwordShowActionAriaLabel": InputProps['passwordShowActionAriaLabel'];
        /**
          * Text to announce when password is visible.
         */
        "passwordVisibleText": InputProps['passwordVisibleText'];
        /**
          * Whether the input is read-only
         */
        "readOnly": InputProps['readOnly'];
        /**
          * Whether the input is required
         */
        "required": InputProps['required'];
        /**
          * The size scale of the input.
         */
        "scale": InputProps['scale'];
        /**
          * Additional text displayed below the input field.
         */
        "subscript": InputProps['subscript'];
        /**
          * Style variant for the subscript text.
         */
        "subscriptVariant": InputProps['subscriptVariant'];
        /**
          * Toggles the visibility of a password field by switching its state between visible and hidden.
         */
        "togglePasswordVisibility": () => Promise<void>;
        /**
          * The input type (text, password, number, etc.)
         */
        "type": InputProps['type'];
        /**
          * The input value
         */
        "value": InputProps['value'];
    }
    /**
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjLink {
        /**
          * Specifies whether the linked document will have a download option when clicked. If a string is provided, it will be used as the filename.
         */
        "download"?: boolean | string;
        /**
          * The URL that the hyperlink points to.
         */
        "href"?: string;
        /**
          * The relationship between the current document and the linked document
         */
        "rel"?: string;
        /**
          * The scale of the link
         */
        "scale"?: LinkProperties['scale'];
        /**
          * Specifies where to open the linked document
         */
        "target"?: string;
        /**
          * The variant theme
         */
        "variant"?: LinkProperties['variant'];
    }
    /**
     * Lists are a flexible and powerful component for displaying a series of content.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface NjList {
        /**
          * Whether list items have borders
         */
        "hasBorder": ListProperties['hasBorder'];
        /**
          * Size of the list items
         */
        "scale": ListProperties['scale'];
    }
    /**
     * List item is a component designed to represent an item of a list.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface NjListItem {
        /**
          * The element tag to render
         */
        "as": ListItemProps['as'];
        "disabled": ButtonProps1['disabled'];
        "download": ButtonProps1['download'];
        "form": ButtonProps1['form'];
        "href": ButtonProps1['href'];
        /**
          * Force list item to be interactive without wrapper.
         */
        "interactive": ListItemProps['interactive'];
        /**
          * Leading icon name
         */
        "leadingIcon": ListItemProps['leadingIcon'];
        "name": ButtonProps1['name'];
        "rel": ButtonProps1['rel'];
        /**
          * List item secondary text
         */
        "secondaryText": ListItemProps['secondaryText'];
        "target": ButtonProps1['target'];
        /**
          * The text distribution of the list item. If set to 'vertical', the secondary text will be displayed below the primary text.
         */
        "textDistribution": ListItemProps['textDistribution'];
        /**
          * Trailing icon name
         */
        "trailingIcon": ListItemProps['trailingIcon'];
        "type": ButtonProps1['type'];
        "value": ButtonProps1['value'];
    }
    /**
     * List navigation item is a component designed to represent a navigation item of a list.
     * It works the same as a List item but with some specific added features and states like `expandable` mode and `expanded` state.
     * It can also be in different color scheme like `discovery`.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface NjListNavigationItem {
        /**
          * The element tag to render
         */
        "as": ListNavigationItemProps['as'];
        "disabled": ButtonProps1['disabled'];
        "download": ButtonProps1['download'];
        /**
          * Whether the list navigation item is expandable.
         */
        "expandable": ListNavigationItemProps['expandable'];
        /**
          * Whether the list navigation item is expanded.
         */
        "expanded": ListNavigationItemProps['expanded'];
        "form": ButtonProps1['form'];
        "href": ButtonProps1['href'];
        /**
          * Force list item to be interactive without wrapper.
         */
        "interactive": ListNavigationItemProps['interactive'];
        /**
          * Leading icon name
         */
        "leadingIcon": ListNavigationItemProps['leadingIcon'];
        "name": ButtonProps1['name'];
        "rel": ButtonProps1['rel'];
        /**
          * List item secondary text
         */
        "secondaryText": ListNavigationItemProps['secondaryText'];
        /**
          * Whether the list item is currently selected.
         */
        "selected": ListNavigationItemProps['selected'];
        "target": ButtonProps1['target'];
        /**
          * The text distribution of the list item. If set to 'vertical', the secondary text will be displayed below the primary text.
         */
        "textDistribution": ListNavigationItemProps['textDistribution'];
        /**
          * Trailing icon name
         */
        "trailingIcon": ListNavigationItemProps['trailingIcon'];
        "type": ButtonProps1['type'];
        "value": ButtonProps1['value'];
        /**
          * The color scheme variant of the list navigation item.
         */
        "variant": ListNavigationItemProps['variant'];
    }
    /**
     * NavigationAction component represents an action trigger in a navigation context, like header or footer components.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface NjNavigationAction {
        "as": NavigationActionProps['as'];
        "disabled": NavigationActionProps['disabled'];
        "expandable": NavigationActionProps['expandable'];
        "expanded": NavigationActionProps['expanded'];
        "href": NavigationActionProps['href'];
        "icon": NavigationActionProps['icon'];
        "rel": NavigationActionProps['rel'];
        "scale": NavigationActionProps['scale'];
        "target": NavigationActionProps['target'];
        "variant": NavigationActionProps['variant'];
    }
    /**
     * NavigationTab component is a tab that controls the content of a subsection. It's meant to be used in a navigation context
     * like a header, for example to control the display of an entire page.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface NjNavigationTab {
        /**
          * The element tag to render
         */
        "as": NavigationTabProps['as'];
        /**
          * The id of the tab panel that the tab item controls.
         */
        "controls": NavigationTabProps['controls'];
        "disabled": NavigationTabProps['disabled'];
        /**
          * Whether the tab is expandable.
         */
        "expandable": NavigationTabProps['expandable'];
        /**
          * Whether the tab is expanded.
         */
        "expanded": NavigationTabProps['expanded'];
        "href": NavigationTabProps['href'];
        /**
          * Leading icon name
         */
        "icon": NavigationTabProps['icon'];
        "rel": NavigationTabProps['rel'];
        /**
          * Whether the tab item is selected.
         */
        "selected": NavigationTabProps['selected'];
        "target": NavigationTabProps['target'];
        /**
          * The color scheme variant of the tab.
         */
        "variant": NavigationTabProps['variant'];
    }
    /**
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjRay {
    }
    /**
     * Spinner allows the user to know when the system is in progress and when he will end. The spinner is used to indicate the current status of a loading screen or a loading data.
     * @since 0.1.0-next.1
     * @lastmodified 0.1.0-next.1
     */
    interface NjSpinner {
        /**
          * Aria label, for accessibility reasons
         */
        "ariaLabel": ARIAMixin['ariaLabel'];
        /**
          * Spinner scale
         */
        "scale": SpinnerProperties['scale'];
        /**
          * Spinner color variant
         */
        "variant": SpinnerProperties['variant'];
    }
    /**
     * Status indicators are dynamic pieces of information that should be used to convey the status of a person, an object or a process.
     * They do not require any user actions to be updated, and are usually part of a larger component.
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjStatusIndicator {
        /**
          * The scale of the indicator.
         */
        "scale"?: StatusIndicatorProperties['scale'];
        /**
          * The status of the indicator.
         */
        "status"?: StatusIndicatorProperties['status'];
    }
    /**
     * Tabs component
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface NjTabs {
        /**
          * Scale of the tab item.
         */
        "scale"?: TabsProperties['scale'];
    }
}
export interface NjCheckboxCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLNjCheckboxElement;
}
export interface NjInlineMessageCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLNjInlineMessageElement;
}
declare global {
    /**
     * Buttons allow users to interact with the product and trigger actions. They can be of different sizes, colors and status
     * In terms of accessibility, be mindful of people using assistive technologies: don’t use links instead of buttons to trigger actions.
     * @since 0.1.0-next.1
     * @lastmodified 0.1.0-next.1
     */
    interface HTMLNjButtonElement extends Components.NjButton, HTMLStencilElement {
    }
    var HTMLNjButtonElement: {
        prototype: HTMLNjButtonElement;
        new (): HTMLNjButtonElement;
    };
    interface HTMLNjCheckboxElementEventMap {
        "nj-checked-change": boolean;
        "nj-indeterminate-change": boolean;
    }
    /**
     * A checkbox is an input control that allows the user to give a feedback by choosing several items from a list of options.
     * @since 0.1.0-next.1
     * @lastmodified 0.1.0-next.1
     */
    interface HTMLNjCheckboxElement extends Components.NjCheckbox, HTMLStencilElement {
        addEventListener<K extends keyof HTMLNjCheckboxElementEventMap>(type: K, listener: (this: HTMLNjCheckboxElement, ev: NjCheckboxCustomEvent<HTMLNjCheckboxElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLNjCheckboxElementEventMap>(type: K, listener: (this: HTMLNjCheckboxElement, ev: NjCheckboxCustomEvent<HTMLNjCheckboxElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLNjCheckboxElement: {
        prototype: HTMLNjCheckboxElement;
        new (): HTMLNjCheckboxElement;
    };
    /**
     * A divider is a component used to separate two elements at the same level
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.3
     */
    interface HTMLNjDividerElement extends Components.NjDivider, HTMLStencilElement {
    }
    var HTMLNjDividerElement: {
        prototype: HTMLNjDividerElement;
        new (): HTMLNjDividerElement;
    };
    /**
     * Footer is mainly used for links and legal information.
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface HTMLNjFooterElement extends Components.NjFooter, HTMLStencilElement {
    }
    var HTMLNjFooterElement: {
        prototype: HTMLNjFooterElement;
        new (): HTMLNjFooterElement;
    };
    /**
     * Footer card are card with multiple color variations, which can be used inside the footer to highlight information
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface HTMLNjFooterCardElement extends Components.NjFooterCard, HTMLStencilElement {
    }
    var HTMLNjFooterCardElement: {
        prototype: HTMLNjFooterCardElement;
        new (): HTMLNjFooterCardElement;
    };
    /**
     * Footer column are components used to display footer content in a vertical way
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface HTMLNjFooterColumnElement extends Components.NjFooterColumn, HTMLStencilElement {
    }
    var HTMLNjFooterColumnElement: {
        prototype: HTMLNjFooterColumnElement;
        new (): HTMLNjFooterColumnElement;
    };
    /**
     * Footer content is a padded container in the footer which handle contained version.
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface HTMLNjFooterContentElement extends Components.NjFooterContent, HTMLStencilElement {
    }
    var HTMLNjFooterContentElement: {
        prototype: HTMLNjFooterContentElement;
        new (): HTMLNjFooterContentElement;
    };
    /**
     * Footer content top handle displaying of a logo and a baseline
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface HTMLNjFooterContentTopElement extends Components.NjFooterContentTop, HTMLStencilElement {
    }
    var HTMLNjFooterContentTopElement: {
        prototype: HTMLNjFooterContentTopElement;
        new (): HTMLNjFooterContentTopElement;
    };
    /**
     * Links displayed in the footer component.
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface HTMLNjFooterItemElement extends Components.NjFooterItem, HTMLStencilElement {
    }
    var HTMLNjFooterItemElement: {
        prototype: HTMLNjFooterItemElement;
        new (): HTMLNjFooterItemElement;
    };
    /**
     * Footer navigation display footer columns in a flexible way.
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface HTMLNjFooterNavigationElement extends Components.NjFooterNavigation, HTMLStencilElement {
    }
    var HTMLNjFooterNavigationElement: {
        prototype: HTMLNjFooterNavigationElement;
        new (): HTMLNjFooterNavigationElement;
    };
    /**
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface HTMLNjFooterSecondaryNavigationElement extends Components.NjFooterSecondaryNavigation, HTMLStencilElement {
    }
    var HTMLNjFooterSecondaryNavigationElement: {
        prototype: HTMLNjFooterSecondaryNavigationElement;
        new (): HTMLNjFooterSecondaryNavigationElement;
    };
    /**
     * The header is the top section of a page, typically containing the logo, navigation links, and other important elements.
     * A header can be retracted to save space on the page.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface HTMLNjHeaderElement extends Components.NjHeader, HTMLStencilElement {
    }
    var HTMLNjHeaderElement: {
        prototype: HTMLNjHeaderElement;
        new (): HTMLNjHeaderElement;
    };
    /**
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface HTMLNjIconElement extends Components.NjIcon, HTMLStencilElement {
    }
    var HTMLNjIconElement: {
        prototype: HTMLNjIconElement;
        new (): HTMLNjIconElement;
    };
    /**
     * Icon buttons are a variation of buttons. Use them only to trigger actions.
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.3
     */
    interface HTMLNjIconButtonElement extends Components.NjIconButton, HTMLStencilElement {
    }
    var HTMLNjIconButtonElement: {
        prototype: HTMLNjIconButtonElement;
        new (): HTMLNjIconButtonElement;
    };
    interface HTMLNjInlineMessageElementEventMap {
        "nj-inline-message-close": void;
    }
    /**
     * @since 0.1.0-next.1
     * @lastmodified 0.1.0-next.1
     */
    interface HTMLNjInlineMessageElement extends Components.NjInlineMessage, HTMLStencilElement {
        addEventListener<K extends keyof HTMLNjInlineMessageElementEventMap>(type: K, listener: (this: HTMLNjInlineMessageElement, ev: NjInlineMessageCustomEvent<HTMLNjInlineMessageElementEventMap[K]>) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | AddEventListenerOptions): void;
        addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void;
        removeEventListener<K extends keyof HTMLNjInlineMessageElementEventMap>(type: K, listener: (this: HTMLNjInlineMessageElement, ev: NjInlineMessageCustomEvent<HTMLNjInlineMessageElementEventMap[K]>) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof DocumentEventMap>(type: K, listener: (this: Document, ev: DocumentEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener<K extends keyof HTMLElementEventMap>(type: K, listener: (this: HTMLElement, ev: HTMLElementEventMap[K]) => any, options?: boolean | EventListenerOptions): void;
        removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void;
    }
    var HTMLNjInlineMessageElement: {
        prototype: HTMLNjInlineMessageElement;
        new (): HTMLNjInlineMessageElement;
    };
    /**
     * Inputs are used in forms to help people provide information. The following variations are available in Fluid:
     * Text
     * Password
     * Number
     * Please be mindful of the overall accessibility of your forms by applying accessibility guidelines.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface HTMLNjInputElement extends Components.NjInput, HTMLStencilElement {
    }
    var HTMLNjInputElement: {
        prototype: HTMLNjInputElement;
        new (): HTMLNjInputElement;
    };
    /**
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface HTMLNjLinkElement extends Components.NjLink, HTMLStencilElement {
    }
    var HTMLNjLinkElement: {
        prototype: HTMLNjLinkElement;
        new (): HTMLNjLinkElement;
    };
    /**
     * Lists are a flexible and powerful component for displaying a series of content.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface HTMLNjListElement extends Components.NjList, HTMLStencilElement {
    }
    var HTMLNjListElement: {
        prototype: HTMLNjListElement;
        new (): HTMLNjListElement;
    };
    /**
     * List item is a component designed to represent an item of a list.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface HTMLNjListItemElement extends Components.NjListItem, HTMLStencilElement {
    }
    var HTMLNjListItemElement: {
        prototype: HTMLNjListItemElement;
        new (): HTMLNjListItemElement;
    };
    /**
     * List navigation item is a component designed to represent a navigation item of a list.
     * It works the same as a List item but with some specific added features and states like `expandable` mode and `expanded` state.
     * It can also be in different color scheme like `discovery`.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface HTMLNjListNavigationItemElement extends Components.NjListNavigationItem, HTMLStencilElement {
    }
    var HTMLNjListNavigationItemElement: {
        prototype: HTMLNjListNavigationItemElement;
        new (): HTMLNjListNavigationItemElement;
    };
    /**
     * NavigationAction component represents an action trigger in a navigation context, like header or footer components.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface HTMLNjNavigationActionElement extends Components.NjNavigationAction, HTMLStencilElement {
    }
    var HTMLNjNavigationActionElement: {
        prototype: HTMLNjNavigationActionElement;
        new (): HTMLNjNavigationActionElement;
    };
    /**
     * NavigationTab component is a tab that controls the content of a subsection. It's meant to be used in a navigation context
     * like a header, for example to control the display of an entire page.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface HTMLNjNavigationTabElement extends Components.NjNavigationTab, HTMLStencilElement {
    }
    var HTMLNjNavigationTabElement: {
        prototype: HTMLNjNavigationTabElement;
        new (): HTMLNjNavigationTabElement;
    };
    /**
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface HTMLNjRayElement extends Components.NjRay, HTMLStencilElement {
    }
    var HTMLNjRayElement: {
        prototype: HTMLNjRayElement;
        new (): HTMLNjRayElement;
    };
    /**
     * Spinner allows the user to know when the system is in progress and when he will end. The spinner is used to indicate the current status of a loading screen or a loading data.
     * @since 0.1.0-next.1
     * @lastmodified 0.1.0-next.1
     */
    interface HTMLNjSpinnerElement extends Components.NjSpinner, HTMLStencilElement {
    }
    var HTMLNjSpinnerElement: {
        prototype: HTMLNjSpinnerElement;
        new (): HTMLNjSpinnerElement;
    };
    /**
     * Status indicators are dynamic pieces of information that should be used to convey the status of a person, an object or a process.
     * They do not require any user actions to be updated, and are usually part of a larger component.
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface HTMLNjStatusIndicatorElement extends Components.NjStatusIndicator, HTMLStencilElement {
    }
    var HTMLNjStatusIndicatorElement: {
        prototype: HTMLNjStatusIndicatorElement;
        new (): HTMLNjStatusIndicatorElement;
    };
    /**
     * Tabs component
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface HTMLNjTabsElement extends Components.NjTabs, HTMLStencilElement {
    }
    var HTMLNjTabsElement: {
        prototype: HTMLNjTabsElement;
        new (): HTMLNjTabsElement;
    };
    interface HTMLElementTagNameMap {
        "nj-button": HTMLNjButtonElement;
        "nj-checkbox": HTMLNjCheckboxElement;
        "nj-divider": HTMLNjDividerElement;
        "nj-footer": HTMLNjFooterElement;
        "nj-footer-card": HTMLNjFooterCardElement;
        "nj-footer-column": HTMLNjFooterColumnElement;
        "nj-footer-content": HTMLNjFooterContentElement;
        "nj-footer-content-top": HTMLNjFooterContentTopElement;
        "nj-footer-item": HTMLNjFooterItemElement;
        "nj-footer-navigation": HTMLNjFooterNavigationElement;
        "nj-footer-secondary-navigation": HTMLNjFooterSecondaryNavigationElement;
        "nj-header": HTMLNjHeaderElement;
        "nj-icon": HTMLNjIconElement;
        "nj-icon-button": HTMLNjIconButtonElement;
        "nj-inline-message": HTMLNjInlineMessageElement;
        "nj-input": HTMLNjInputElement;
        "nj-link": HTMLNjLinkElement;
        "nj-list": HTMLNjListElement;
        "nj-list-item": HTMLNjListItemElement;
        "nj-list-navigation-item": HTMLNjListNavigationItemElement;
        "nj-navigation-action": HTMLNjNavigationActionElement;
        "nj-navigation-tab": HTMLNjNavigationTabElement;
        "nj-ray": HTMLNjRayElement;
        "nj-spinner": HTMLNjSpinnerElement;
        "nj-status-indicator": HTMLNjStatusIndicatorElement;
        "nj-tabs": HTMLNjTabsElement;
    }
}
declare namespace LocalJSX {
    /**
     * Buttons allow users to interact with the product and trigger actions. They can be of different sizes, colors and status
     * In terms of accessibility, be mindful of people using assistive technologies: don’t use links instead of buttons to trigger actions.
     * @since 0.1.0-next.1
     * @lastmodified 0.1.0-next.1
     */
    interface NjButton {
        /**
          * The element tag to render
         */
        "as"?: ButtonProps['as'];
        "disabled"?: ButtonProps['disabled'];
        "download"?: ButtonProps['download'];
        /**
          * The button emphasis
         */
        "emphasis"?: ButtonProps['emphasis'];
        "form"?: ButtonProps['form'];
        "href"?: ButtonProps['href'];
        /**
          * The button icon name
         */
        "icon"?: ButtonProps['icon'];
        /**
          * Whether button is loading or not
         */
        "isLoading"?: ButtonProps['isLoading'];
        "name"?: ButtonProps['name'];
        "rel"?: ButtonProps['rel'];
        /**
          * The button size
         */
        "scale"?: ButtonProps['scale'];
        "target"?: ButtonProps['target'];
        "type"?: ButtonProps['type'];
        "value"?: ButtonProps['value'];
        /**
          * The button variant
         */
        "variant"?: ButtonProps['variant'];
    }
    /**
     * A checkbox is an input control that allows the user to give a feedback by choosing several items from a list of options.
     * @since 0.1.0-next.1
     * @lastmodified 0.1.0-next.1
     */
    interface NjCheckbox {
        /**
          * Whether the checkbox component is checked
         */
        "checked"?: CheckboxProperties['disabled'];
        /**
          * Whether the checkbox component is disabled
         */
        "disabled"?: CheckboxProperties['disabled'];
        /**
          * Whether the checkbox component is indeterminate
         */
        "indeterminate"?: CheckboxProperties['indeterminate'];
        /**
          * Represents the identifier for the input element. This optional variable allows you to specify a unique identifier for referencing or interacting with the input element.
          * @type {string}
         */
        "inputId"?: string;
        /**
          * Whether the checkbox component is invalid
         */
        "invalid"?: CheckboxProperties['invalid'];
        /**
          * Name of the form control. Submitted with the form as part of a name/value pair
         */
        "name"?: string;
        /**
          * Emits a boolean value indicating the change in the "checked" state.
         */
        "onNj-checked-change"?: (event: NjCheckboxCustomEvent<boolean>) => void;
        /**
          * Emits an event whenever the indeterminate state of the checkbox changes.
         */
        "onNj-indeterminate-change"?: (event: NjCheckboxCustomEvent<boolean>) => void;
        /**
          * Whether the checkbox component is required
         */
        "required"?: CheckboxProperties['disabled'];
        /**
          * Defines the size of the checkbox component.  Possible values: - 'md': Medium size (default). - 'lg': Large size, for enhanced visibility and accessibility. - 'xl': Extra-large size, providing maximum visibility and ease of interaction.
         */
        "scale"?: CheckboxProperties['scale'];
        /**
          * Text content displayed as subscript below the checkbox, used for additional labels, instructions, or feedback messages.
         */
        "subscript"?: CheckboxProperties['subscript'];
        /**
          * Defines the visual variant of the subscript message, indicating a specific status or state.  Possible values: - 'error': Indicates an error or issue with user input or selection. - 'success': Indicates successful input validation or positive feedback.  If not specified, defaults to a neutral display without special styling.
         */
        "subscriptVariant"?: CheckboxProperties['subscriptVariant'];
        /**
          * The value of the checkbox when checked.
         */
        "value"?: string;
    }
    /**
     * A divider is a component used to separate two elements at the same level
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.3
     */
    interface NjDivider {
        /**
          * Spacing around the divider
         */
        "scale"?: DividerProperties['scale'];
        /**
          * Whether the divider is vertical or horizontal
         */
        "vertical"?: DividerProperties['vertical'];
    }
    /**
     * Footer is mainly used for links and legal information.
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjFooter {
        /**
          * Footer variant theme
         */
        "variant"?: FooterProperties['variant'];
    }
    /**
     * Footer card are card with multiple color variations, which can be used inside the footer to highlight information
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjFooterCard {
        /**
          * Footer card variant theme
         */
        "variant"?: FooterCardProperties['variant'];
    }
    /**
     * Footer column are components used to display footer content in a vertical way
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjFooterColumn {
    }
    /**
     * Footer content is a padded container in the footer which handle contained version.
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjFooterContent {
    }
    /**
     * Footer content top handle displaying of a logo and a baseline
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjFooterContentTop {
    }
    /**
     * Links displayed in the footer component.
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjFooterItem {
        /**
          * Specifies whether the linked document will have a download option when clicked. If a string is provided, it will be used as the filename.
         */
        "download"?: boolean | string;
        /**
          * The URL that the hyperlink points to.
         */
        "href"?: string;
        /**
          * Padding of the footer item. Impacts the size of the item.
         */
        "padding"?: FooterItemProperties['padding'];
        /**
          * The relationship between the current document and the linked document
         */
        "rel"?: string;
        /**
          * The scale of the footer item. Impacts the size of the text.
         */
        "scale"?: FooterItemProperties['scale'];
        /**
          * Specifies where to open the linked document
         */
        "target"?: string;
    }
    /**
     * Footer navigation display footer columns in a flexible way.
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjFooterNavigation {
    }
    /**
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjFooterSecondaryNavigation {
        "copyright"?: string;
    }
    /**
     * The header is the top section of a page, typically containing the logo, navigation links, and other important elements.
     * A header can be retracted to save space on the page.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface NjHeader {
        /**
          * Whether the header is retracted on one line or not
         */
        "retracted"?: HeaderProperties['retracted'];
    }
    /**
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjIcon {
        /**
          * Material icon name https://material.io/resources/icons/?style=baseline
         */
        "name": IconProperties['name'];
        /**
          * Icon size
         */
        "scale"?: IconProperties['scale'];
        /**
          * Icon variant theme
         */
        "variant"?: IconProperties['variant'];
    }
    /**
     * Icon buttons are a variation of buttons. Use them only to trigger actions.
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.3
     */
    interface NjIconButton {
        /**
          * Icon alternative label
         */
        "altLabel"?: IconButtonProps['altLabel'];
        /**
          * The element tag to render
         */
        "as"?: IconButtonProps['as'];
        "disabled"?: IconButtonProps['disabled'];
        "download"?: IconButtonProps['download'];
        "form"?: IconButtonProps['form'];
        "href"?: IconButtonProps['href'];
        /**
          * Icon button material icon name (from https://material.io/resources/icons/?style=baseline)
         */
        "icon"?: IconButtonProps['icon'];
        "name"?: IconButtonProps['name'];
        /**
          * Indicates the current "pressed" state of a toggle button.
         */
        "pressed"?: IconButtonProps['pressed'];
        "rel"?: IconButtonProps['rel'];
        /**
          * Icon button scale
         */
        "scale"?: IconButtonProps['scale'];
        "target"?: IconButtonProps['target'];
        "type"?: IconButtonProps['type'];
        "value"?: IconButtonProps['value'];
        /**
          * Icon button theme variant
         */
        "variant"?: IconButtonProps['variant'];
    }
    /**
     * @since 0.1.0-next.1
     * @lastmodified 0.1.0-next.1
     */
    interface NjInlineMessage {
        /**
          * Used to set the position of the action element.
         */
        "actionPosition"?: InlineMessageProperties['actionPosition'];
        "closable"?: boolean;
        /**
          * Whether the inline-message has a status indicator icon or not.
         */
        "hasStatus"?: InlineMessageProperties['hasStatus'];
        "onNj-inline-message-close"?: (event: NjInlineMessageCustomEvent<void>) => void;
        /**
          * Scale of the inline message. Impacts the size of the text.
         */
        "scale"?: InlineMessageProperties['scale'];
        /**
          * Semantic variations of the inline message.
         */
        "variant"?: InlineMessageProperties['variant'];
    }
    /**
     * Inputs are used in forms to help people provide information. The following variations are available in Fluid:
     * Text
     * Password
     * Number
     * Please be mindful of the overall accessibility of your forms by applying accessibility guidelines.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface NjInput {
        /**
          * Whether the input is disabled
         */
        "disabled"?: InputProps['disabled'];
        /**
          * Icon name to display alongside the input.
         */
        "icon"?: InputProps['icon'];
        /**
          * The input id.
         */
        "inputId"?: InputProps['inputId'];
        /**
          * Whether the input is in an invalid state.
         */
        "invalid"?: InputProps['invalid'];
        /**
          * The text label for the input field.
         */
        "label"?: InputProps['label'];
        /**
          * The kind of label to be displayed.
         */
        "labelKind"?: InputProps['labelKind'];
        /**
          * Text to announce when password is hidden.
         */
        "passwordHiddenText"?: InputProps['passwordHiddenText'];
        /**
          * Aria label for the hide password action button.
         */
        "passwordHideActionAriaLabel"?: InputProps['passwordHideActionAriaLabel'];
        /**
          * Aria label for the show password action button.
         */
        "passwordShowActionAriaLabel"?: InputProps['passwordShowActionAriaLabel'];
        /**
          * Text to announce when password is visible.
         */
        "passwordVisibleText"?: InputProps['passwordVisibleText'];
        /**
          * Whether the input is read-only
         */
        "readOnly"?: InputProps['readOnly'];
        /**
          * Whether the input is required
         */
        "required"?: InputProps['required'];
        /**
          * The size scale of the input.
         */
        "scale"?: InputProps['scale'];
        /**
          * Additional text displayed below the input field.
         */
        "subscript"?: InputProps['subscript'];
        /**
          * Style variant for the subscript text.
         */
        "subscriptVariant"?: InputProps['subscriptVariant'];
        /**
          * The input type (text, password, number, etc.)
         */
        "type"?: InputProps['type'];
        /**
          * The input value
         */
        "value"?: InputProps['value'];
    }
    /**
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjLink {
        /**
          * Specifies whether the linked document will have a download option when clicked. If a string is provided, it will be used as the filename.
         */
        "download"?: boolean | string;
        /**
          * The URL that the hyperlink points to.
         */
        "href"?: string;
        /**
          * The relationship between the current document and the linked document
         */
        "rel"?: string;
        /**
          * The scale of the link
         */
        "scale"?: LinkProperties['scale'];
        /**
          * Specifies where to open the linked document
         */
        "target"?: string;
        /**
          * The variant theme
         */
        "variant"?: LinkProperties['variant'];
    }
    /**
     * Lists are a flexible and powerful component for displaying a series of content.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface NjList {
        /**
          * Whether list items have borders
         */
        "hasBorder"?: ListProperties['hasBorder'];
        /**
          * Size of the list items
         */
        "scale"?: ListProperties['scale'];
    }
    /**
     * List item is a component designed to represent an item of a list.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface NjListItem {
        /**
          * The element tag to render
         */
        "as"?: ListItemProps['as'];
        "disabled"?: ButtonProps1['disabled'];
        "download"?: ButtonProps1['download'];
        "form"?: ButtonProps1['form'];
        "href"?: ButtonProps1['href'];
        /**
          * Force list item to be interactive without wrapper.
         */
        "interactive"?: ListItemProps['interactive'];
        /**
          * Leading icon name
         */
        "leadingIcon"?: ListItemProps['leadingIcon'];
        "name"?: ButtonProps1['name'];
        "rel"?: ButtonProps1['rel'];
        /**
          * List item secondary text
         */
        "secondaryText"?: ListItemProps['secondaryText'];
        "target"?: ButtonProps1['target'];
        /**
          * The text distribution of the list item. If set to 'vertical', the secondary text will be displayed below the primary text.
         */
        "textDistribution"?: ListItemProps['textDistribution'];
        /**
          * Trailing icon name
         */
        "trailingIcon"?: ListItemProps['trailingIcon'];
        "type"?: ButtonProps1['type'];
        "value"?: ButtonProps1['value'];
    }
    /**
     * List navigation item is a component designed to represent a navigation item of a list.
     * It works the same as a List item but with some specific added features and states like `expandable` mode and `expanded` state.
     * It can also be in different color scheme like `discovery`.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface NjListNavigationItem {
        /**
          * The element tag to render
         */
        "as"?: ListNavigationItemProps['as'];
        "disabled"?: ButtonProps1['disabled'];
        "download"?: ButtonProps1['download'];
        /**
          * Whether the list navigation item is expandable.
         */
        "expandable"?: ListNavigationItemProps['expandable'];
        /**
          * Whether the list navigation item is expanded.
         */
        "expanded"?: ListNavigationItemProps['expanded'];
        "form"?: ButtonProps1['form'];
        "href"?: ButtonProps1['href'];
        /**
          * Force list item to be interactive without wrapper.
         */
        "interactive"?: ListNavigationItemProps['interactive'];
        /**
          * Leading icon name
         */
        "leadingIcon"?: ListNavigationItemProps['leadingIcon'];
        "name"?: ButtonProps1['name'];
        "rel"?: ButtonProps1['rel'];
        /**
          * List item secondary text
         */
        "secondaryText"?: ListNavigationItemProps['secondaryText'];
        /**
          * Whether the list item is currently selected.
         */
        "selected"?: ListNavigationItemProps['selected'];
        "target"?: ButtonProps1['target'];
        /**
          * The text distribution of the list item. If set to 'vertical', the secondary text will be displayed below the primary text.
         */
        "textDistribution"?: ListNavigationItemProps['textDistribution'];
        /**
          * Trailing icon name
         */
        "trailingIcon"?: ListNavigationItemProps['trailingIcon'];
        "type"?: ButtonProps1['type'];
        "value"?: ButtonProps1['value'];
        /**
          * The color scheme variant of the list navigation item.
         */
        "variant"?: ListNavigationItemProps['variant'];
    }
    /**
     * NavigationAction component represents an action trigger in a navigation context, like header or footer components.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface NjNavigationAction {
        "as"?: NavigationActionProps['as'];
        "disabled"?: NavigationActionProps['disabled'];
        "expandable"?: NavigationActionProps['expandable'];
        "expanded"?: NavigationActionProps['expanded'];
        "href"?: NavigationActionProps['href'];
        "icon"?: NavigationActionProps['icon'];
        "rel"?: NavigationActionProps['rel'];
        "scale"?: NavigationActionProps['scale'];
        "target"?: NavigationActionProps['target'];
        "variant"?: NavigationActionProps['variant'];
    }
    /**
     * NavigationTab component is a tab that controls the content of a subsection. It's meant to be used in a navigation context
     * like a header, for example to control the display of an entire page.
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface NjNavigationTab {
        /**
          * The element tag to render
         */
        "as"?: NavigationTabProps['as'];
        /**
          * The id of the tab panel that the tab item controls.
         */
        "controls"?: NavigationTabProps['controls'];
        "disabled"?: NavigationTabProps['disabled'];
        /**
          * Whether the tab is expandable.
         */
        "expandable"?: NavigationTabProps['expandable'];
        /**
          * Whether the tab is expanded.
         */
        "expanded"?: NavigationTabProps['expanded'];
        "href"?: NavigationTabProps['href'];
        /**
          * Leading icon name
         */
        "icon"?: NavigationTabProps['icon'];
        "rel"?: NavigationTabProps['rel'];
        /**
          * Whether the tab item is selected.
         */
        "selected"?: NavigationTabProps['selected'];
        "target"?: NavigationTabProps['target'];
        /**
          * The color scheme variant of the tab.
         */
        "variant"?: NavigationTabProps['variant'];
    }
    /**
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjRay {
    }
    /**
     * Spinner allows the user to know when the system is in progress and when he will end. The spinner is used to indicate the current status of a loading screen or a loading data.
     * @since 0.1.0-next.1
     * @lastmodified 0.1.0-next.1
     */
    interface NjSpinner {
        /**
          * Aria label, for accessibility reasons
         */
        "ariaLabel"?: ARIAMixin['ariaLabel'];
        /**
          * Spinner scale
         */
        "scale"?: SpinnerProperties['scale'];
        /**
          * Spinner color variant
         */
        "variant"?: SpinnerProperties['variant'];
    }
    /**
     * Status indicators are dynamic pieces of information that should be used to convey the status of a person, an object or a process.
     * They do not require any user actions to be updated, and are usually part of a larger component.
     * @since 0.1.0-next.0
     * @lastmodified 0.1.0-next.0
     */
    interface NjStatusIndicator {
        /**
          * The scale of the indicator.
         */
        "scale"?: StatusIndicatorProperties['scale'];
        /**
          * The status of the indicator.
         */
        "status"?: StatusIndicatorProperties['status'];
    }
    /**
     * Tabs component
     * @since 0.1.0-next.3
     * @lastmodified 0.1.0-next.3
     */
    interface NjTabs {
        /**
          * Scale of the tab item.
         */
        "scale"?: TabsProperties['scale'];
    }
    interface IntrinsicElements {
        "nj-button": NjButton;
        "nj-checkbox": NjCheckbox;
        "nj-divider": NjDivider;
        "nj-footer": NjFooter;
        "nj-footer-card": NjFooterCard;
        "nj-footer-column": NjFooterColumn;
        "nj-footer-content": NjFooterContent;
        "nj-footer-content-top": NjFooterContentTop;
        "nj-footer-item": NjFooterItem;
        "nj-footer-navigation": NjFooterNavigation;
        "nj-footer-secondary-navigation": NjFooterSecondaryNavigation;
        "nj-header": NjHeader;
        "nj-icon": NjIcon;
        "nj-icon-button": NjIconButton;
        "nj-inline-message": NjInlineMessage;
        "nj-input": NjInput;
        "nj-link": NjLink;
        "nj-list": NjList;
        "nj-list-item": NjListItem;
        "nj-list-navigation-item": NjListNavigationItem;
        "nj-navigation-action": NjNavigationAction;
        "nj-navigation-tab": NjNavigationTab;
        "nj-ray": NjRay;
        "nj-spinner": NjSpinner;
        "nj-status-indicator": NjStatusIndicator;
        "nj-tabs": NjTabs;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            /**
             * Buttons allow users to interact with the product and trigger actions. They can be of different sizes, colors and status
             * In terms of accessibility, be mindful of people using assistive technologies: don’t use links instead of buttons to trigger actions.
             * @since 0.1.0-next.1
             * @lastmodified 0.1.0-next.1
             */
            "nj-button": LocalJSX.NjButton & JSXBase.HTMLAttributes<HTMLNjButtonElement>;
            /**
             * A checkbox is an input control that allows the user to give a feedback by choosing several items from a list of options.
             * @since 0.1.0-next.1
             * @lastmodified 0.1.0-next.1
             */
            "nj-checkbox": LocalJSX.NjCheckbox & JSXBase.HTMLAttributes<HTMLNjCheckboxElement>;
            /**
             * A divider is a component used to separate two elements at the same level
             * @since 0.1.0-next.0
             * @lastmodified 0.1.0-next.3
             */
            "nj-divider": LocalJSX.NjDivider & JSXBase.HTMLAttributes<HTMLNjDividerElement>;
            /**
             * Footer is mainly used for links and legal information.
             * @since 0.1.0-next.0
             * @lastmodified 0.1.0-next.0
             */
            "nj-footer": LocalJSX.NjFooter & JSXBase.HTMLAttributes<HTMLNjFooterElement>;
            /**
             * Footer card are card with multiple color variations, which can be used inside the footer to highlight information
             * @since 0.1.0-next.0
             * @lastmodified 0.1.0-next.0
             */
            "nj-footer-card": LocalJSX.NjFooterCard & JSXBase.HTMLAttributes<HTMLNjFooterCardElement>;
            /**
             * Footer column are components used to display footer content in a vertical way
             * @since 0.1.0-next.0
             * @lastmodified 0.1.0-next.0
             */
            "nj-footer-column": LocalJSX.NjFooterColumn & JSXBase.HTMLAttributes<HTMLNjFooterColumnElement>;
            /**
             * Footer content is a padded container in the footer which handle contained version.
             * @since 0.1.0-next.0
             * @lastmodified 0.1.0-next.0
             */
            "nj-footer-content": LocalJSX.NjFooterContent & JSXBase.HTMLAttributes<HTMLNjFooterContentElement>;
            /**
             * Footer content top handle displaying of a logo and a baseline
             * @since 0.1.0-next.0
             * @lastmodified 0.1.0-next.0
             */
            "nj-footer-content-top": LocalJSX.NjFooterContentTop & JSXBase.HTMLAttributes<HTMLNjFooterContentTopElement>;
            /**
             * Links displayed in the footer component.
             * @since 0.1.0-next.0
             * @lastmodified 0.1.0-next.0
             */
            "nj-footer-item": LocalJSX.NjFooterItem & JSXBase.HTMLAttributes<HTMLNjFooterItemElement>;
            /**
             * Footer navigation display footer columns in a flexible way.
             * @since 0.1.0-next.0
             * @lastmodified 0.1.0-next.0
             */
            "nj-footer-navigation": LocalJSX.NjFooterNavigation & JSXBase.HTMLAttributes<HTMLNjFooterNavigationElement>;
            /**
             * @since 0.1.0-next.0
             * @lastmodified 0.1.0-next.0
             */
            "nj-footer-secondary-navigation": LocalJSX.NjFooterSecondaryNavigation & JSXBase.HTMLAttributes<HTMLNjFooterSecondaryNavigationElement>;
            /**
             * The header is the top section of a page, typically containing the logo, navigation links, and other important elements.
             * A header can be retracted to save space on the page.
             * @since 0.1.0-next.3
             * @lastmodified 0.1.0-next.3
             */
            "nj-header": LocalJSX.NjHeader & JSXBase.HTMLAttributes<HTMLNjHeaderElement>;
            /**
             * @since 0.1.0-next.0
             * @lastmodified 0.1.0-next.0
             */
            "nj-icon": LocalJSX.NjIcon & JSXBase.HTMLAttributes<HTMLNjIconElement>;
            /**
             * Icon buttons are a variation of buttons. Use them only to trigger actions.
             * @since 0.1.0-next.0
             * @lastmodified 0.1.0-next.3
             */
            "nj-icon-button": LocalJSX.NjIconButton & JSXBase.HTMLAttributes<HTMLNjIconButtonElement>;
            /**
             * @since 0.1.0-next.1
             * @lastmodified 0.1.0-next.1
             */
            "nj-inline-message": LocalJSX.NjInlineMessage & JSXBase.HTMLAttributes<HTMLNjInlineMessageElement>;
            /**
             * Inputs are used in forms to help people provide information. The following variations are available in Fluid:
             * Text
             * Password
             * Number
             * Please be mindful of the overall accessibility of your forms by applying accessibility guidelines.
             * @since 0.1.0-next.3
             * @lastmodified 0.1.0-next.3
             */
            "nj-input": LocalJSX.NjInput & JSXBase.HTMLAttributes<HTMLNjInputElement>;
            /**
             * @since 0.1.0-next.0
             * @lastmodified 0.1.0-next.0
             */
            "nj-link": LocalJSX.NjLink & JSXBase.HTMLAttributes<HTMLNjLinkElement>;
            /**
             * Lists are a flexible and powerful component for displaying a series of content.
             * @since 0.1.0-next.3
             * @lastmodified 0.1.0-next.3
             */
            "nj-list": LocalJSX.NjList & JSXBase.HTMLAttributes<HTMLNjListElement>;
            /**
             * List item is a component designed to represent an item of a list.
             * @since 0.1.0-next.3
             * @lastmodified 0.1.0-next.3
             */
            "nj-list-item": LocalJSX.NjListItem & JSXBase.HTMLAttributes<HTMLNjListItemElement>;
            /**
             * List navigation item is a component designed to represent a navigation item of a list.
             * It works the same as a List item but with some specific added features and states like `expandable` mode and `expanded` state.
             * It can also be in different color scheme like `discovery`.
             * @since 0.1.0-next.3
             * @lastmodified 0.1.0-next.3
             */
            "nj-list-navigation-item": LocalJSX.NjListNavigationItem & JSXBase.HTMLAttributes<HTMLNjListNavigationItemElement>;
            /**
             * NavigationAction component represents an action trigger in a navigation context, like header or footer components.
             * @since 0.1.0-next.3
             * @lastmodified 0.1.0-next.3
             */
            "nj-navigation-action": LocalJSX.NjNavigationAction & JSXBase.HTMLAttributes<HTMLNjNavigationActionElement>;
            /**
             * NavigationTab component is a tab that controls the content of a subsection. It's meant to be used in a navigation context
             * like a header, for example to control the display of an entire page.
             * @since 0.1.0-next.3
             * @lastmodified 0.1.0-next.3
             */
            "nj-navigation-tab": LocalJSX.NjNavigationTab & JSXBase.HTMLAttributes<HTMLNjNavigationTabElement>;
            /**
             * @since 0.1.0-next.0
             * @lastmodified 0.1.0-next.0
             */
            "nj-ray": LocalJSX.NjRay & JSXBase.HTMLAttributes<HTMLNjRayElement>;
            /**
             * Spinner allows the user to know when the system is in progress and when he will end. The spinner is used to indicate the current status of a loading screen or a loading data.
             * @since 0.1.0-next.1
             * @lastmodified 0.1.0-next.1
             */
            "nj-spinner": LocalJSX.NjSpinner & JSXBase.HTMLAttributes<HTMLNjSpinnerElement>;
            /**
             * Status indicators are dynamic pieces of information that should be used to convey the status of a person, an object or a process.
             * They do not require any user actions to be updated, and are usually part of a larger component.
             * @since 0.1.0-next.0
             * @lastmodified 0.1.0-next.0
             */
            "nj-status-indicator": LocalJSX.NjStatusIndicator & JSXBase.HTMLAttributes<HTMLNjStatusIndicatorElement>;
            /**
             * Tabs component
             * @since 0.1.0-next.3
             * @lastmodified 0.1.0-next.3
             */
            "nj-tabs": LocalJSX.NjTabs & JSXBase.HTMLAttributes<HTMLNjTabsElement>;
        }
    }
}
