import { ButtonProperties } from '@engie-group/fluid-types';
import { HtmlButtonProperties } from '../../types/html-button.properties';
import { HtmlLinkProperties } from '../../types/html-link.properties';
import { As } from '../../types/as.type';
export type ButtonProps = ButtonProperties & HtmlButtonProperties & HtmlLinkProperties & As<'button' | 'a'>;
/**
 * Buttons allow users to interact with the product and trigger actions. They can be of different sizes, colors and status
 * In terms of accessibility, be mindful of people using assistive technologies: don’t use links instead of buttons to trigger actions.
 *
 * @slot custom-icon - Button custom icon
 *
 * @since 0.1.0-next.1
 * @lastmodified 0.1.0-next.1
 */
export declare class Button implements ButtonProps {
    private readonly rootClass;
    as: ButtonProps['as'];
    emphasis: ButtonProps['emphasis'];
    variant: ButtonProps['variant'];
    scale: ButtonProps['scale'];
    icon: ButtonProps['icon'];
    isLoading: ButtonProps['isLoading'];
    href: ButtonProps['href'];
    rel: ButtonProps['rel'];
    target: ButtonProps['target'];
    download: ButtonProps['download'];
    type: ButtonProps['type'];
    disabled: ButtonProps['disabled'];
    form: ButtonProps['form'];
    name: ButtonProps['name'];
    value: ButtonProps['value'];
    el: HTMLElement;
    customIcon: HTMLElement;
    private get classes();
    private get elementProps();
    render(): any;
}
