import { FooterItemProperties } from '@engie-group/fluid-types';
/**
 * Links displayed in the footer component.
 *
 * @slot leading - Slot for the leading element of the footer item
 * @slot trailing - Slot for the trailing element of the footer item
 *
 * @since 0.1.0-next.0
 * @lastmodified 0.1.0-next.0
 */
export declare class FooterItem {
    /**
     * The URL that the hyperlink points to.
     */
    href?: string;
    /**
     * The relationship between the current document and the linked document
     */
    rel?: string;
    /**
     * Specifies where to open the linked document
     */
    target?: string;
    /**
     * Specifies whether the linked document will have a download option when clicked.
     * If a string is provided, it will be used as the filename.
     */
    download?: boolean | string;
    /**
     * The scale of the footer item. Impacts the size of the text.
     */
    scale?: FooterItemProperties['scale'];
    /**
     * Padding of the footer item. Impacts the size of the item.
     */
    padding?: FooterItemProperties['padding'];
    private get classes();
    render(): any;
}
