import { HeaderProperties } from '@engie-group/fluid-types';
/**
 *
 * The header is the top section of a page, typically containing the logo, navigation links, and other important elements.
 *
 * A header can be retracted to save space on the page.
 *
 * @since 0.1.0-next.3
 * @lastmodified 0.1.0-next.3
 *
 * @slot ray - Place element at the `ray` position
 * @slot logo - Place element at the `logo` position
 * @slot control - Add element in the `controls` parent. Can be attached to multiple elements
 * @slot button - Place element at the `button` position
 * @slot utility - Add element in the `utilities` parent. Can be attached to multiple elements
 * @slot avatar - Place element at the `avatar` position
 * @slot cart - Place element at the `cart` position
 * @slot navigation - Add element in the `navigation` parent. Can be attached to multiple elements
 * @slot search - Place element at the `search` position
 * @slot secondary-action - Add element in the `secondary-actions` parent. Can be attached to multiple elements
 *
 */
export declare class Header implements HeaderProperties {
    private rootClass;
    el: HTMLElement;
    logo: HTMLElement;
    retracted: HeaderProperties['retracted'];
    private get classes();
    private slotsName;
    render(): any;
}
