import { LinkProperties } from '@engie-group/fluid-types';
/**
 * @since 0.1.0-next.0
 * @lastmodified 0.1.0-next.0
 *
 * @slot leading - Slot for the leading element of the link
 * @slot trailing - Slot for the trailing element of the link
 *
 */
export declare class Link implements LinkProperties {
    el: HTMLElement;
    /**
     * The URL that the hyperlink points to.
     */
    href?: string;
    /**
     * The relationship between the current document and the linked document
     */
    rel?: string;
    /**
     * Specifies where to open the linked document
     */
    target?: string;
    /**
     * Specifies whether the linked document will have a download option when clicked.
     * If a string is provided, it will be used as the filename.
     */
    download?: boolean | string;
    /**
     * The variant theme
     */
    variant?: LinkProperties['variant'];
    /**
     * The scale of the link
     */
    scale?: LinkProperties['scale'];
    private get classes();
    render(): any;
}
