import { ListItemProperties } from '@engie-group/fluid-types';
import { As } from '../../../types/as.type';
import { HtmlButtonProperties } from '../../../types/html-button.properties';
import { HtmlLinkProperties } from '../../../types/html-link.properties';
import { ButtonProps } from '../../button/button';
export type ListItemProps = ListItemProperties & HtmlButtonProperties & HtmlLinkProperties & As<'a' | 'button' | 'span'>;
/**
 * List item is a component designed to represent an item of a list.
 *
 * @slot leading - Leading slot
 * @slot trailing - Trailing slot
 *
 * @since 0.1.0-next.3
 * @lastmodified 0.1.0-next.3
 */
export declare class ListNavigationItem implements ListItemProps {
    private readonly rootClass;
    private readonly listBaseClass;
    as: ListItemProps['as'];
    leadingIcon: ListItemProps['leadingIcon'];
    trailingIcon: ListItemProps['trailingIcon'];
    secondaryText: ListItemProps['secondaryText'];
    textDistribution: ListItemProps['textDistribution'];
    interactive: ListItemProps['interactive'];
    href: ButtonProps['href'];
    rel: ButtonProps['rel'];
    target: ButtonProps['target'];
    download: ButtonProps['download'];
    type: ButtonProps['type'];
    disabled: ButtonProps['disabled'];
    form: ButtonProps['form'];
    name: ButtonProps['name'];
    value: ButtonProps['value'];
    el: HTMLElement;
    private get classes();
    private get wrapperProps();
    render: () => any;
}
