import { NavigationActionProperties } from '@engie-group/fluid-types';
import { As } from '../../types/as.type';
import { HtmlButtonProperties } from '../../types/html-button.properties';
import { HtmlLinkProperties } from '../../types/html-link.properties';
export type NavigationActionProps = NavigationActionProperties & HtmlButtonProperties & HtmlLinkProperties & As<'button' | 'a'>;
/**
 * NavigationAction component represents an action trigger in a navigation context, like header or footer components.
 *
 * @slot custom-icon - Navigation action custom icon
 * @slot custom-trailing - Navigation action custom trailing
 *
 * @since 0.1.0-next.3
 * @lastmodified 0.1.0-next.3
 */
export declare class NavigationAction {
    as: NavigationActionProps['as'];
    icon: NavigationActionProps['icon'];
    variant: NavigationActionProps['variant'];
    scale: NavigationActionProps['scale'];
    expandable: NavigationActionProps['expandable'];
    expanded: NavigationActionProps['expanded'];
    href: NavigationActionProps['href'];
    rel: NavigationActionProps['rel'];
    target: NavigationActionProps['target'];
    disabled: NavigationActionProps['disabled'];
    el: HTMLElement;
    customIcon: HTMLElement;
    customTrailing: HTMLElement;
    private rootClass;
    private get classes();
    private get elementProps();
    private get hasTextContent();
    componentWillLoad(): void;
    render(): any;
}
