import { NavigationTabProperties } from '@engie-group/fluid-types';
import { As } from '../../types/as.type';
import { HtmlButtonProperties } from '../../types/html-button.properties';
import { HtmlLinkProperties } from '../../types/html-link.properties';
export type NavigationTabProps = NavigationTabProperties & HtmlButtonProperties & HtmlLinkProperties & As<'button' | 'a'>;
/**
 * NavigationTab component is a tab that controls the content of a subsection. It's meant to be used in a navigation context
 * like a header, for example to control the display of an entire page.
 *
 * @slot custom-icon - Tab custom icon
 * @slot custom-trailing - Tab custom trailing
 *
 * @since 0.1.0-next.3
 * @lastmodified 0.1.0-next.3
 */
export declare class NavigationTab implements NavigationTabProps {
    as: NavigationTabProps['as'];
    selected: NavigationTabProps['selected'];
    icon: NavigationTabProps['icon'];
    controls: NavigationTabProps['controls'];
    variant: NavigationTabProps['variant'];
    expandable: NavigationTabProps['expandable'];
    expanded: NavigationTabProps['expanded'];
    href: NavigationTabProps['href'];
    rel: NavigationTabProps['rel'];
    target: NavigationTabProps['target'];
    disabled: NavigationTabProps['disabled'];
    el: HTMLElement;
    customIcon: HTMLElement;
    customTrailing: HTMLElement;
    private rootClass;
    private get classes();
    private get elementProps();
    private get hasTextContent();
    componentWillLoad(): void;
    render(): any;
}
