import type { StatusIndicatorProperties } from '@engie-group/fluid-types';
/**
 * Status indicators are dynamic pieces of information that should be used to convey the status of a person, an object or a process.
 * They do not require any user actions to be updated, and are usually part of a larger component.
 *
 * @since 0.1.0-next.0
 * @lastmodified 0.1.0-next.0
 */
export declare class StatusIndicator implements StatusIndicatorProperties {
    private readonly rootClass;
    el: HTMLElement;
    private contentNodes;
    /**
     * The status of the indicator.
     */
    status?: StatusIndicatorProperties['status'];
    /**
     * The scale of the indicator.
     */
    scale?: StatusIndicatorProperties['scale'];
    private get classes();
    componentWillRender(): void;
    render(): any;
}
